#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x82673e31, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xd2a07f66, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x42502ca6, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x5bf1ecd8, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x76bdb6d5, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xab5daffe, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xa722ca4f, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xdc576b02, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x929fc81a, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xc2aa0b45, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xe5312641, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x12a0a6d3, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x508a98b8, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x09d7ed86, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x5c3561ea, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xfd68fa2f, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xe5009b1c, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x3ac73eb3, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xd8b65007, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x8958d245, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xc7566d39, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54ab49cd, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x957a0b, "sysfs_notify" },
	{ 0x665dd0b4, "kobject_uevent" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xa7a9a5af, "rdev_get_dev" },
	{ 0x6af832e5, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x57e1bf10, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x72e338ff, "i2c_smbus_xfer" },
	{ 0x55c15649, "_dev_err" },
	{ 0x2dd56a33, "device_create_file" },
	{ 0xeadfca7d, "__devm_add_action" },
	{ 0xfa6ba593, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa3d78c44, "devm_hwmon_device_register_with_groups" },
	{ 0x3616af48, "devm_regulator_register" },
	{ 0x17d33ed3, "dev_err_probe" },
	{ 0x7f67adf8, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x89430b5d, "debugfs_create_file" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x8fae4d42, "noop_llseek" },
	{ 0x26c137eb, "simple_open" },
	{ 0x862fea65, "debugfs_attr_read" },
	{ 0xd051da3a, "debugfs_attr_write" },
	{ 0x6019c3c8, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x216a5b56, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbe9c5a68, "devm_krealloc" },
	{ 0xb79d22fe, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb66bc3b4, "debugfs_create_dir" },
	{ 0x63fc604, "debugfs_remove" },
	{ 0xe19554e6, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa19a48b0, "i2c_smbus_write_byte_data" },
	{ 0x1d35004f, "i2c_smbus_read_byte_data" },
	{ 0x4e37bc27, "i2c_smbus_write_byte" },
	{ 0x50da4737, "i2c_smbus_write_word_data" },
	{ 0x30074d58, "i2c_smbus_read_word_data" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8777F6FA7D631D901E276E8");
