#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0x5f13e142, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xd4c655b6, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xd063ba33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55c4aa8f, "iio_buffer_put" },
	{ 0x82a9d96e, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3230d9ea, "iio_dma_buffer_block_done" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd67ab24b, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xbc970ba6, "dma_request_chan" },
	{ 0xc6d45db, "dma_get_slave_caps" },
	{ 0x2047621d, "iio_dma_buffer_init" },
	{ 0x56066e11, "iio_device_attach_buffer" },
	{ 0xeadfca7d, "__devm_add_action" },
	{ 0x20186ffc, "iio_dma_buffer_read" },
	{ 0x67956609, "iio_dma_buffer_usage" },
	{ 0xe8308a29, "iio_dma_buffer_write" },
	{ 0x3af36a9b, "iio_dma_buffer_request_update" },
	{ 0xc8feab66, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0x294fb70d, "iio_dma_buffer_set_length" },
	{ 0x6d36e0a2, "iio_dma_buffer_enable" },
	{ 0x21695946, "iio_dma_buffer_disable" },
	{ 0xa3225508, "iio_dma_buffer_attach_dmabuf" },
	{ 0x4f83facd, "iio_dma_buffer_detach_dmabuf" },
	{ 0x30a7af7, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0x6cacd892, "iio_dma_buffer_lock_queue" },
	{ 0x57068b86, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3afe64e4, "iio_dma_buffer_exit" },
	{ 0x5b269408, "dma_release_channel" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-buffer-dma");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");
