#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x60570f6a, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x408b470f, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xca250602, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x1996cbb7, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x2bca9f1b, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x9c32fadb, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xa66497ad, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xa406d606, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xcddada17, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x9b26cda1, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xdfde420f, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x3531027e, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x5f6d6192, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x1875c88d, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x536c7bcc, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd893121a, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x9bf6f4f5, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa74d3c1b, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x65e59e76, "compat_ptr_ioctl" },
	{ 0xfc813db9, "cdev_add" },
	{ 0x3a2c19e3, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x26c137eb, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf8992d48, "unregister_mtd_user" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa678c568, "kmem_cache_free" },
	{ 0x63fc604, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x70f6a8ad, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x878bd560, "put_mtd_device" },
	{ 0xe5b297dc, "register_mtd_user" },
	{ 0xa1912f42, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1a5862be, "mtd_read" },
	{ 0xd3139fc5, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x635e8226, "freezing_slow_path" },
	{ 0xedb4d086, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0xe1a74ea3, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x56acdb02, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab23c569, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0xafc76a31, "__kmem_cache_create_args" },
	{ 0x75078c9a, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x23b132f3, "kthread_create_on_node" },
	{ 0x29a7bb95, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc44d5c7f, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfbf2d2fa, "fwnode_property_read_string" },
	{ 0x89430b5d, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x19b4f67, "device_get_named_child_node" },
	{ 0x1e04f21d, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b2a7a0e, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x29384c2c, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb823a3c1, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0xb66bc3b4, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x90a0e204, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x67216934, "class_register" },
	{ 0xa72027d1, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x3769acae, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x67579a0f, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0x3034b50, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x98d0c319, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfeac05ce, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x67d63b6d, "dev_set_name" },
	{ 0xf147ab26, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa8149130, "cdev_device_del" },
	{ 0x81694be, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x970bb090, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xca84266c, "seq_lseek" },
	{ 0x62393772, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x4d666249, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89bb95ee, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8e7d2271, "path_put" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46bf9824, "get_mtd_device" },
	{ 0x1e4aaedc, "wake_up_process" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "03332F8BD79C4E9F34FDE34");
