#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xc426804e, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x55b18804, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xfa861df1, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x7386b489, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x8f093305, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x1ef7acf2, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x8a830029, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xbec25479, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xd0fffa9b, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xdacf3f19, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x5afb2aad, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x1a022bd6, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xcda31d34, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x8e884fa9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x8b5ac0e7, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xca6ba074, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x14e374cc, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x4c4ba966, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x823429ba, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xf7b815bd, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xf45d266c, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x3a8535f7, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x0f32951e, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x82fff1fa, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x790906f0, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x614e23ce, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x9df827c0, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x56a76e51, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xb0c4be20, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x58e03811, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xd0a40358, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xcbd8f7d9, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x6ad00c84, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xd1ee032e, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x468c0619, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x9b7289e7, "");
SYMBOL_CRC(mlx4_test_async, 0x0f1201b0, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xabc3272c, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xf519a037, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xc1718bc8, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x0f27aed6, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xa3e556c8, "");
SYMBOL_CRC(mlx4_assign_eq, 0x1884fffa, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x5e8103f5, "");
SYMBOL_CRC(mlx4_release_eq, 0x44b92a77, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x712fe2c7, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x52add146, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x0261a435, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x10526749, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x64cfdc31, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x5c06804a, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xe375ff92, "");
SYMBOL_CRC(mlx4_wol_read, 0x9d7165c6, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xa1082d73, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xedef77a2, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xc6b8d7a0, "");
SYMBOL_CRC(set_phv_bit, 0x408741fc, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x6b9167b1, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x8a8f1b02, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xeda20599, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x58f3de1e, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x3877080f, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xc9590e82, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x03dfaaf3, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x9f187f0e, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x5fd46199, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x34b9fb1f, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x397720f1, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x94c2cc12, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x3c5458f3, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x851bd857, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xff362ebd, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x3c93027f, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xbdaa8e0a, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x09847c20, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xa50fa3f1, "");
SYMBOL_CRC(mlx4_read_clock, 0xb48cea50, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x25f38217, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x230d2d22, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x424c83aa, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x72646e4b, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xcf5f656c, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xe4fd9ae9, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xbd2849b0, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x07144290, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x324a5981, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x2bcc7570, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xce0062ff, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x2b9f0304, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x79ff0f37, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x15d649ce, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x766b75eb, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xc018e8d1, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xedbc39e8, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x12ebd53e, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xd3a46516, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xbfcfddad, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x739d4031, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xd4209f08, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x5ed40dbf, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xf1d40fbd, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xc8325228, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x151e52fd, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xaff6d5c3, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x9f7bb2a5, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x09f69e74, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xc41084a4, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x0612c2b8, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xf4330c5a, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xd5c97b64, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x15028833, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x532df173, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x0cd960f6, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x12177924, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xf0aab2d6, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x01947368, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x711dbd01, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x68bec33c, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x6ba4d3b5, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x1036a34b, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x14d719dc, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x4d7156ce, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xa74a5186, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xe6f4e7fe, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xa42eef38, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x6861c5e7, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x08c6b9f1, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xa3a8739c, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xd93a9cfd, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x6a14b216, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x104801d2, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xa8ca566b, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x9c18789b, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x9d6de4d2, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x10a1b4de, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x7e615f4d, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xd718b6df, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x2fd5492b, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x7ae7226a, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x5b3fe9b7, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xe7c7276d, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x85e78c09, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x8bc07593, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xf0329067, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x7efea128, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x34aa7f89, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xdc0e8797, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x3707e71d, "");
SYMBOL_CRC(mlx4_get_module_info, 0x42f5f87b, "");
SYMBOL_CRC(mlx4_max_tc, 0xe6627d4d, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x1c008d5f, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x6f04b18b, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xc1618dd7, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x2dbb2b39, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x53083501, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xc9e4b98a, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x011c4d6b, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x3ec56b68, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x4f1eb2cc, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x171d54bc, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xcc81085c, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x5f20bb12, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x73bf3d47, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x7cd8e8a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69064cc3, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x79dee526, "param_ops_byte" },
	{ 0x4d666249, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x6bbe23e6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x61b17934, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda4d4a0a, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x468f559b, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa9e7801e, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3e830375, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0xf520444e, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x7f5060d6, "__free_pages" },
	{ 0xe39629af, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2dd56a33, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x631daa3d, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x55c15649, "_dev_err" },
	{ 0x30f1696d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0xb5e17ac3, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0xed21dc42, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x835279d9, "dma_alloc_attrs" },
	{ 0x93124492, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa28906ea, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4bc07d49, "pci_restore_state" },
	{ 0xf2272579, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xc4e8d524, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x85888177, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x65e7f8bb, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xd153cce4, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc296cbe1, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8db27986, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1b538e62, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcd1d1abd, "param_ops_bool" },
	{ 0xaa8b7d20, "pci_release_regions" },
	{ 0x779e5d84, "__dma_sync_single_for_device" },
	{ 0xbc137bd6, "devl_assert_locked" },
	{ 0xea89776f, "pcie_print_link_status" },
	{ 0x4a0ff127, "devl_port_unregister" },
	{ 0x46dabacf, "devl_param_driverinit_value_get" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x77bd1039, "devlink_priv" },
	{ 0x2cfbb20f, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe8531469, "pci_disable_msix" },
	{ 0x9f5cc7b0, "alloc_pages_noprof" },
	{ 0x90d9059a, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x17aa3d23, "dma_set_mask" },
	{ 0xf376116c, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x116cbf02, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc5e975e4, "param_ops_int" },
	{ 0x68ab4e27, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xa1f2ff6e, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9cec0279, "pci_write_config_dword" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x216a5b56, "device_remove_file" },
	{ 0x19f7f820, "dma_map_sg_attrs" },
	{ 0x14b35579, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8d7a3c6e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb1f57962, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x63d0903d, "devl_region_create" },
	{ 0xd4001d8e, "devlink_unregister" },
	{ 0xabac78aa, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5e12aa8f, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60bfaca7, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e144401, "devlink_region_snapshot_id_get" },
	{ 0x93f426a, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xeda96a56, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x8d986489, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1422c597, "param_array_ops" },
	{ 0xf12d2976, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e83adf4, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xd83548a6, "pci_sriov_get_totalvfs" },
	{ 0x22fd03b6, "devlink_register" },
	{ 0xd5893bde, "devlink_port_type_clear" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FD3B380A8BE9456BE066421");
