#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x82466c46, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x1c306f63, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc8b29094, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xea4569c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ed870db, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7808c0ff, "unregister_netdevice_queue" },
	{ 0xd869ca15, "netdev_upper_dev_unlink" },
	{ 0xffe11fbd, "dev_addr_mod" },
	{ 0x53c2db1a, "dev_uc_add" },
	{ 0x12e8a43e, "dev_set_mtu" },
	{ 0x37a1557c, "netdev_update_features" },
	{ 0xea16fcb0, "netif_stacked_transfer_operstate" },
	{ 0x7ff73b5f, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x53ab86ac, "skb_clone" },
	{ 0x3bea08a9, "netif_rx" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5ca635d9, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2807ccdf, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf498b30b, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf2f63941, "__dev_queue_xmit" },
	{ 0xcfb6c974, "dev_forward_skb" },
	{ 0x94977c04, "netpoll_send_skb" },
	{ 0x48ecd3c7, "__netif_rx" },
	{ 0xb184ae41, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7428f7f7, "netdev_core_stats_inc" },
	{ 0x73fe84f5, "__dev_get_by_index" },
	{ 0x4cc5c0b9, "netdev_is_rx_handler_busy" },
	{ 0xd4e5b422, "netdev_rx_handler_register" },
	{ 0xa3bba1c7, "register_netdevice" },
	{ 0x1eb56737, "netdev_upper_dev_link" },
	{ 0xbd86c3a9, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6085f293, "passthru_features_check" },
	{ 0x72954ec1, "eth_validate_addr" },
	{ 0x28ab9a73, "ndo_dflt_fdb_dump" },
	{ 0xb4aa8e06, "ethtool_op_get_link" },
	{ 0xf7a03988, "eth_header_parse" },
	{ 0xea4d209b, "eth_header_cache" },
	{ 0x940f3637, "eth_header_cache_update" },
	{ 0xd2db538f, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x869791d2, "ether_setup" },
	{ 0xd72434bd, "__ethtool_get_link_ksettings" },
	{ 0xd556954f, "ethtool_get_ts_info_by_layer" },
	{ 0x30f1696d, "init_net" },
	{ 0x54a71f79, "generic_hwtstamp_set_lower" },
	{ 0x5bdc5049, "generic_hwtstamp_get_lower" },
	{ 0x623ba29f, "dev_mc_del" },
	{ 0x8351d05d, "dev_uc_del" },
	{ 0x325d5a98, "dev_mc_add_excl" },
	{ 0x629b056f, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x20e304dd, "__netpoll_free" },
	{ 0x79556551, "vlan_vid_del" },
	{ 0x2d341db1, "vlan_vid_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4adc8c2a, "dev_uc_sync" },
	{ 0x2e365661, "dev_mc_sync" },
	{ 0x956a4cea, "dev_set_allmulti" },
	{ 0xfb3728a2, "dev_set_promiscuity" },
	{ 0xa1cd43f4, "dev_uc_unsync" },
	{ 0xd4468a1a, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa7d944b9, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0xf52d083, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x16367708, "netif_inherit_tso_max" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x643ac2c3, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6501380e, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC2F2998AE48C1601910740");
