#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xfc94fd9c, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x03302219, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xb1b660a2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x11b3e028, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0xd1f993db, "lock_sock_nested" },
	{ 0xb4aa8e06, "ethtool_op_get_link" },
	{ 0xe19ef345, "nexthop_find_by_id" },
	{ 0xf00c7560, "arp_create" },
	{ 0xd72434bd, "__ethtool_get_link_ksettings" },
	{ 0x6c981eb2, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6d8fa602, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x841887e4, "netdev_adjacent_change_abort" },
	{ 0xc0a16a36, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x974d4323, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x43a9248, "__iptunnel_pull_header" },
	{ 0x262f1ded, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3bea08a9, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x3aeb1ced, "setup_udp_tunnel_sock" },
	{ 0x9c32f18c, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9c22bb3, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3acdc7f0, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf87c1a4, "skb_scrub_packet" },
	{ 0x65985fd2, "nexthop_select_path" },
	{ 0xf498b30b, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x722e11bd, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6aa99b8, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcd1d1abd, "param_ops_bool" },
	{ 0xf1b7cd45, "udp_tun_rx_dst" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xbb91cc75, "rtnl_notify" },
	{ 0x2fbd9245, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x48ecd3c7, "__netif_rx" },
	{ 0x53ab86ac, "skb_clone" },
	{ 0x46c6f19b, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1c0926d7, "dst_release" },
	{ 0x42e822f5, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc864951d, "udp_tunnel_notify_del_rx_port" },
	{ 0x87c2228e, "register_nexthop_notifier" },
	{ 0x8518164f, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3521084a, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9fa56fe9, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7428f7f7, "netdev_core_stats_inc" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x806a4cf9, "netdev_info" },
	{ 0xb4cb6606, "neigh_lookup" },
	{ 0x6939b300, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa3bba1c7, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x35f55c92, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1b48229a, "skb_copy_bits" },
	{ 0xa70c218b, "__nlmsg_put" },
	{ 0x9c778cf7, "netdev_adjacent_change_commit" },
	{ 0xa34f77f4, "eth_mac_addr" },
	{ 0xfd97c7be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e2426ba, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa90ffb62, "ip6_dst_hoplimit" },
	{ 0x842d83d7, "param_ops_ushort" },
	{ 0x2807ccdf, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xd4de3f1a, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe36a4228, "udp_tunnel6_xmit_skb" },
	{ 0x643ac2c3, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x62503659, "__unregister_nexthop_notifier" },
	{ 0x16367708, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x72954ec1, "eth_validate_addr" },
	{ 0x7d29c22c, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8617c0c0, "rtnl_create_link" },
	{ 0x7808c0ff, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf66d0eba, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x869791d2, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5c690b86, "udp_tunnel_drop_rx_port" },
	{ 0x1eb56737, "netdev_upper_dev_link" },
	{ 0x74d25fc2, "pskb_expand_head" },
	{ 0x621edc87, "register_pernet_subsys" },
	{ 0xffe11fbd, "dev_addr_mod" },
	{ 0x8693634a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x5b95065f, "__alloc_skb" },
	{ 0xe689f7dc, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x81c961a0, "eth_gro_complete" },
	{ 0x79472fca, "rtnl_set_sk_err" },
	{ 0x19596981, "eth_gro_receive" },
	{ 0xd0942f45, "rtnl_configure_link" },
	{ 0xf49e32c1, "skb_tunnel_check_pmtu" },
	{ 0x13359164, "udp_tunnel_dst_lookup" },
	{ 0x6fd72100, "rtnl_unicast" },
	{ 0x23f4d5a, "peernet2id" },
	{ 0xc20cd1d2, "__skb_get_hash_net" },
	{ 0x4a19bcc0, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x73fe84f5, "__dev_get_by_index" },
	{ 0x6501380e, "rtnl_link_unregister" },
	{ 0x46cb6cc3, "ipv6_stub" },
	{ 0x3c9b6bd6, "skb_pull" },
	{ 0x8b08d195, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x85eae795, "dev_get_by_index_rcu" },
	{ 0xfaa91ec7, "gro_cells_receive" },
	{ 0x66314adf, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xd869ca15, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xfb21c2d9, "__rtnl_register_many" },
	{ 0x8ffe75fe, "free_netdev" },
	{ 0x1635fb75, "ip_mc_join_group" },
	{ 0xe9d0c835, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FE9C24A18CF78A86D8DC549");
