#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x5e6e35b5, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x12edf602, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x4c93ae2d, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xef941cf3, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x1992ed25, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x658f0e58, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xa242a91b, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x3d5e586b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9b2dade, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x207e7a0b, "mt76_csa_check" },
	{ 0xb67da181, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3122a0, "mt76u_single_wr" },
	{ 0x3b8bf209, "__mt76_tx_complete_skb" },
	{ 0x7b1958e3, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb5caf4fb, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7eafdc8a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2659bcb0, "mt76_csa_finish" },
	{ 0x5b95065f, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x55c15649, "_dev_err" },
	{ 0x3c9b6bd6, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66314adf, "skb_push" },
	{ 0x1470ed69, "mt76x02_init_beacon_config" },
	{ 0x9996b965, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd7315994, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48e1970, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdcc612df, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdcf9b9d0, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x339b881e, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x77b974ee, "__mt76_poll" },
	{ 0x291a65c2, "mt76x02_update_beacon_iter" },
	{ 0xc83566fc, "mt76x02_enqueue_buffered_bc" },
	{ 0xc0a87e33, "mt76x02_remove_hdr_pad" },
	{ 0xfd97c7be, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2807ccdf, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9449bb68, "mt76x02_resync_beacon_timer" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "1FF9C8D1A8B6859A919F7C9");
