#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x7913089d, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x763835f5, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x923b6c38, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x4a1dce73, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x1fb3abec, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xf55a5986, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xfcb74778, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x0efc404d, "");
SYMBOL_CRC(nvdimm_region_notify, 0x39c9a1ce, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x6f58b7f1, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x3575a067, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x1ecf28dc, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x5f3f6ab4, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x145b8041, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xa80aafeb, "");
SYMBOL_CRC(nd_device_unregister, 0xe2552fd0, "");
SYMBOL_CRC(__nd_driver_register, 0xfdd77f91, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xb1017a10, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x40fc7857, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x0f33594e, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xefd43aec, "_gpl");
SYMBOL_CRC(to_ndd, 0xe7634aeb, "");
SYMBOL_CRC(nvdimm_name, 0xbca3d07b, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xa7a86585, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x3fa69622, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x12e29c67, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xb55fa7b1, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xf3f8d8e2, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x05c80c42, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x626ac97c, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xf4de94df, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x511cda8f, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x96e07240, "_gpl");
SYMBOL_CRC(to_nd_region, 0x0d7f501d, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x45f6e6dd, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xffe957ef, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x3f5f5ce3, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x39a2e5e0, "");
SYMBOL_CRC(nd_region_release_lane, 0xce1f90ad, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xb76d9248, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x4e1d71a9, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x8f628d74, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x2da284a3, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x357dda2e, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x7eb7a7e3, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xf2d866a0, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xce00c6de, "");
SYMBOL_CRC(pmem_sector_size, 0xa31123df, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xb52be3e4, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x49200fe0, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xaf02cc4a, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x150b9b2d, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x5e46afe1, "");
SYMBOL_CRC(devm_namespace_enable, 0xb1728e00, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x87f294ae, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x0dd2dab2, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x9ea7e9ae, "");
SYMBOL_CRC(is_nd_btt, 0xe794d7a2, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x8503ef85, "");
SYMBOL_CRC(nd_btt_version, 0x3de613e0, "");
SYMBOL_CRC(nd_btt_probe, 0x5e3d9137, "");
SYMBOL_CRC(to_nd_pfn, 0xbb010093, "");
SYMBOL_CRC(is_nd_pfn, 0xa46d7ce9, "");
SYMBOL_CRC(nd_pfn_validate, 0xc609193c, "");
SYMBOL_CRC(nd_pfn_probe, 0xd78aac48, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xcde69dea, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x0fd34553, "");
SYMBOL_CRC(is_nd_dax, 0xa0a1a337, "");
SYMBOL_CRC(nd_dax_probe, 0x0fa44610, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x2a2723a7, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcd1d1abd, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xd878a72d, "__devm_release_region" },
	{ 0x57f03848, "request_key_tag" },
	{ 0x9900e12d, "kernfs_put" },
	{ 0x45e834de, "__register_chrdev" },
	{ 0xb0637ccd, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x1b69b636, "badblocks_check" },
	{ 0xeadfca7d, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xa0c0bdc1, "badblocks_clear" },
	{ 0xc6eee851, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x1592c8f5, "driver_register" },
	{ 0x67216934, "class_register" },
	{ 0xaab744b7, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xd4dafc07, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xcc02a086, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3034b50, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb79d22fe, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xf37bfda5, "devm_memremap" },
	{ 0x67d63b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x58924671, "badblocks_set" },
	{ 0x81694be, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x970bb090, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x52e1e74f, "badblocks_exit" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x1d3ca326, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x4d666249, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d4186, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc830a649, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe11d7495, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x18245177, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0x7bf5546f, "badblocks_show" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0xe39629af, "_dev_info" },
	{ 0xa74d3c1b, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x65e59e76, "compat_ptr_ioctl" },
	{ 0x6c1df095, "perf_pmu_migrate_context" },
	{ 0x43dee97c, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x84fe66cc, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x37422aa3, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x55c15649, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xb66eb73f, "__cpuhp_setup_state" },
	{ 0xe94567a6, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x88619ff1, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x8fae4d42, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x981d1f5d, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x912c675c, "driver_unregister" },
	{ 0xe5e55228, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfc8650fb, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa1912f42, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x872dfcff, "device_find_child" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9C2559E8593CCFDD7BAF67C");
