#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0xfa52d18a, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x5cd083ee, "");
SYMBOL_CRC(pcmcia_dev_present, 0xb5539440, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xa9ac855d, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x6e2d685e, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xf0a90e1e, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0xd5908839, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0xcfd3dcc2, "");
SYMBOL_CRC(pcmcia_release_window, 0x7654cb98, "");
SYMBOL_CRC(pcmcia_enable_device, 0x6a774516, "");
SYMBOL_CRC(pcmcia_request_io, 0xbed3c261, "");
SYMBOL_CRC(pcmcia_request_irq, 0x6f6e4bd9, "");
SYMBOL_CRC(pcmcia_request_window, 0x50f33bf4, "");
SYMBOL_CRC(pcmcia_disable_device, 0x9106d752, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x2f51d765, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x24e5fe74, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x12c07602, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x6cd5aef6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x912c675c, "driver_unregister" },
	{ 0x56641d12, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe79671a5, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xedb4d086, "device_register" },
	{ 0xe9449cd2, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c3874fa, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9663f04f, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x65046011, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x901e3fc, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xc5e975e4, "param_ops_int" },
	{ 0xb702e2cc, "sysfs_remove_bin_file" },
	{ 0x1592c8f5, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0xd4dafc07, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3034b50, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7e61383, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x67d63b6d, "dev_set_name" },
	{ 0x34caffdf, "driver_remove_file" },
	{ 0x89a351ae, "driver_attach" },
	{ 0x81694be, "device_unregister" },
	{ 0xc5b745b9, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbe20b33b, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d666249, "get_device" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xffe11fbd, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1e533103, "driver_create_file" },
	{ 0xd4200546, "bus_for_each_dev" },
	{ 0xe39629af, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x88cfe217, "pccard_register_pcmcia" },
	{ 0xa74d3c1b, "module_put" },
	{ 0x37422aa3, "bus_unregister" },
	{ 0x55c15649, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");
