#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x93f79c1c, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xe220ec6d, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x1a0647ee, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x2e3dee8e, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x65c8d0f3, "");
SYMBOL_CRC(sas_resume_ha, 0x90b6245a, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x82d56cfd, "");
SYMBOL_CRC(sas_suspend_ha, 0x72e6919d, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x052ab66d, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x36cfe38e, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x746f16dc, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x316634fa, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x2cad6561, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x7e064a30, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x4166ecee, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x91d17aef, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x1fffa90c, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xa7ac4c3d, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x2c2d8427, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x3c2809d1, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x8ebd34a2, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x78e51792, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x0375909a, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xc717861a, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x68d791bc, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x99ec682f, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0xefb11b09, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x8baf3dc9, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xab6f93c2, "_gpl");
SYMBOL_CRC(sas_query_task, 0x51b10bf2, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x5e27c47c, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xa1639671, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x7891e78f, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xc563ff3e, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x8a48a50a, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xb8456e34, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x238e70e4, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xb6f3bafd, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x800165aa, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xe4bb10c6, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x4eba164e, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xe39629af, "_dev_info" },
	{ 0x360ca448, "sas_phy_free" },
	{ 0x4eb3b200, "scsi_eh_finish_cmd" },
	{ 0xdded2e40, "ata_port_schedule_eh" },
	{ 0x75cdde64, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x3411c512, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7ae75c5c, "sas_port_mark_backlink" },
	{ 0xa678c568, "kmem_cache_free" },
	{ 0x4d830c0d, "ata_link_abort" },
	{ 0x8035cc8c, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc381923b, "ata_scsi_port_error_handler" },
	{ 0x9017af18, "ata_change_queue_depth" },
	{ 0xca4fc955, "ata_port_probe" },
	{ 0xad8e071d, "ata_std_error_handler" },
	{ 0xa9389ee9, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xec5c498, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x70a070fc, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x960c7c62, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0xbf34ab3b, "sas_rphy_delete" },
	{ 0xb3552d00, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x99b21fd1, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab23c569, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xafc76a31, "__kmem_cache_create_args" },
	{ 0xd3986fd9, "scsi_host_busy" },
	{ 0x90974e31, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe745b1fa, "ata_sas_port_suspend" },
	{ 0xb3732ced, "sas_rphy_add" },
	{ 0x8b69c8c3, "__pm_runtime_resume" },
	{ 0x2eada4f8, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x653e061f, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6595fb87, "sas_port_add_phy" },
	{ 0xa4b9f734, "ata_scsi_cmd_error_handler" },
	{ 0x386b743e, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xa67acabf, "blk_mq_tagset_busy_iter" },
	{ 0x6eada707, "scsi_done" },
	{ 0x511ed5f2, "scsi_unblock_requests" },
	{ 0x180e68f9, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa260ea2e, "ata_host_put" },
	{ 0xf03fb779, "sas_port_free" },
	{ 0x8d6007ff, "ata_std_sched_eh" },
	{ 0x777a58df, "ata_port_alloc" },
	{ 0x8a34895, "scsi_block_requests" },
	{ 0xb5d391a0, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfb8f473d, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc4c58220, "sas_remove_children" },
	{ 0x91883c54, "scsi_change_queue_depth" },
	{ 0x9eec6ceb, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe2d1e30, "ata_port_wait_eh" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x67579a0f, "kmem_cache_destroy" },
	{ 0x37b62880, "ata_qc_complete" },
	{ 0x59910d8f, "ata_sas_scsi_ioctl" },
	{ 0xe7e00a95, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae5895ce, "sas_rphy_remove" },
	{ 0x74ec2ced, "ata_sas_device_configure" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6b327c0e, "bsg_job_done" },
	{ 0xa60c7b20, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x76e5580f, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa554a99c, "scsi_schedule_eh" },
	{ 0xc5b745b9, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x52b7917a, "ata_ncq_prio_enabled" },
	{ 0xdbeb9d84, "ata_host_init" },
	{ 0xbcc7f3fb, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4242edc, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xadf8819c, "sas_port_get_phy" },
	{ 0x1388e3c0, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x4d666249, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cce8216, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xab7400d9, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "EF8AD598F69A0EB14546BAD");
