#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0xaf109b1f, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x437fc713, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x56925625, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x8c964560, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x111bd39f, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x00a8e930, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x2076715e, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x38fd2427, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0xfb293052, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x1dd8d60b, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x64ac467c, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x546eab24, "_gpl");
SYMBOL_CRC(tb_service_type, 0xda6d03fa, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x3432e9cf, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xd3cbd52a, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x900ccbb9, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x3010aa05, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x640b6c8f, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xffd1c727, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xb1a4ec06, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x9680d083, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x3ea9f1c8, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xa455b79d, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x115c9fe4, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29a7bb95, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf04815d9, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd1c1818f, "pm_runtime_forbid" },
	{ 0x89430b5d, "debugfs_create_file" },
	{ 0x1b538e62, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x4087a61d, "pm_runtime_allow" },
	{ 0x33668948, "trace_event_buffer_reserve" },
	{ 0x8b69c8c3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe37719, "acpi_fetch_acpi_dev" },
	{ 0xcd1d1abd, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x1e04f21d, "seq_write" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b2a7a0e, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x665dd0b4, "kobject_uevent" },
	{ 0x18f86af0, "device_iommu_capable" },
	{ 0xb8be422b, "single_release" },
	{ 0x17aa3d23, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7d72b0e, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x17d33ed3, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x64e7898d, "nvmem_register" },
	{ 0x6524321, "pcim_iomap_table" },
	{ 0x9c0ae054, "__pm_runtime_suspend" },
	{ 0x7e9e450d, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0xb1e6d386, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x260ef791, "single_open" },
	{ 0x83ff61de, "pcim_enable_device" },
	{ 0x490d7793, "__pm_runtime_disable" },
	{ 0xd53d8c8, "crypto_alloc_shash" },
	{ 0xb66bc3b4, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf13225b2, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1592c8f5, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x9eec6ceb, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x580fd075, "__dev_fwnode" },
	{ 0xe052e50b, "pci_bus_type" },
	{ 0x9cec0279, "pci_write_config_dword" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0xd4dafc07, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd782fd, "pci_find_ext_capability" },
	{ 0xc73a0370, "is_acpi_device_node" },
	{ 0xbffc517a, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfbdc2e0b, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x7f67adf8, "devm_request_threaded_irq" },
	{ 0xb96ffc9d, "param_ops_uint" },
	{ 0xabac78aa, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb79d22fe, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x67d63b6d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xda16001e, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6271cc1c, "trace_raw_output_prep" },
	{ 0x81694be, "device_unregister" },
	{ 0xbbc1b2d4, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4954541, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad86f164, "nvmem_unregister" },
	{ 0x723502ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xeda96a56, "__pci_register_driver" },
	{ 0x970bb090, "device_initialize" },
	{ 0xcd4a24c0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbe20f510, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0xca84266c, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xacfa54d6, "acpi_find_child_by_adr" },
	{ 0x1d3ca326, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xef6e4b09, "pci_irq_vector" },
	{ 0x4d666249, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6bbe23e6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc830a649, "dev_driver_string" },
	{ 0xbfac5aa9, "trace_event_buffer_commit" },
	{ 0x691319a, "crypto_destroy_tfm" },
	{ 0x61b17934, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23a33ae7, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4366d102, "pm_wakeup_dev_event" },
	{ 0xddb3ac61, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x1a0d29af, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf263b43b, "debugfs_lookup_and_remove" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0x6c7f0f70, "devm_free_irq" },
	{ 0x750dc81a, "pm_runtime_enable" },
	{ 0x4a7f08fd, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd4200546, "bus_for_each_dev" },
	{ 0xe39629af, "_dev_info" },
	{ 0x471f2d1f, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf92b168e, "pcim_iomap_regions" },
	{ 0x60711c9b, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf74037c5, "perf_trace_run_bpf_submit" },
	{ 0x37422aa3, "bus_unregister" },
	{ 0x55c15649, "_dev_err" },
	{ 0x9268220b, "device_wakeup_enable" },
	{ 0x885907c9, "crypto_shash_setkey" },
	{ 0xf82bca78, "bus_find_device" },
	{ 0x88619ff1, "device_add" },
	{ 0x7c0218a4, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd2bcf7f3, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x266f760, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee2412d0, "pci_device_is_present" },
	{ 0x835279d9, "dma_alloc_attrs" },
	{ 0x63fc604, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc7139290, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x35967009, "trace_event_reg" },
	{ 0x36c46da7, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x912c675c, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x872dfcff, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xedb4d086, "device_register" },
	{ 0xf2272579, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0xcd5fe9a6, "unregister_acpi_bus_type" },
	{ 0x25c9a0ef, "acpi_get_first_physical_node" },
	{ 0x65e7f8bb, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xe9352160, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x8db27986, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "E1E065F6BE3E4E2E56F3031");
