#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb11fd1b6, "usb_kill_urb" },
	{ 0x292cf9e6, "usb_alloc_urb" },
	{ 0x4ac95277, "usb_alloc_streams" },
	{ 0xc9f1e5b5, "scsi_report_bus_reset" },
	{ 0x943505fc, "usb_anchor_urb" },
	{ 0x653a6810, "usb_submit_urb" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc785ba1e, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6eada707, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xd91b121d, "scsi_remove_host" },
	{ 0x29de6437, "scsi_host_put" },
	{ 0x7e8c87c2, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2f4d7ac6, "usb_stor_adjust_quirks" },
	{ 0x82dc9c9, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x169dbed9, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x72dff0ab, "sdev_prefix_printk" },
	{ 0xff11807a, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40e93e49, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x23707f7f, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x1f3ec637, "usb_set_interface" },
	{ 0xa3f14404, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8a34895, "scsi_block_requests" },
	{ 0x68ab4e27, "_dev_printk" },
	{ 0x511ed5f2, "scsi_unblock_requests" },
	{ 0x8af64635, "scmd_printk" },
	{ 0xdb616a04, "scsi_print_command" },
	{ 0x63bef5de, "scsi_scan_host" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0x3b95caa8, "usb_free_urb" },
	{ 0x55c15649, "_dev_err" },
	{ 0xb3552d00, "scsi_is_host_device" },
	{ 0x91883c54, "scsi_change_queue_depth" },
	{ 0xda867d56, "usb_deregister" },
	{ 0xd1f26ea5, "usb_get_urb" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "57A00333B5A01FF5D3BD6FF");
