#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x40c6995b, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xe759e764, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x432c653c, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x6f4d8f84, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x6a32f207, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x17a9d59f, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x5d4dcf6e, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xa4a311b1, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x479e6523, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x824f7a0d, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x94f5ae9a, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x31c453cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81694be, "device_unregister" },
	{ 0x1592c8f5, "driver_register" },
	{ 0x912c675c, "driver_unregister" },
	{ 0xd4200546, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2c7ca29f, "genl_unregister_family" },
	{ 0x37422aa3, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd4dafc07, "bus_register" },
	{ 0xb9be93e1, "genl_register_family" },
	{ 0x17aa3d23, "dma_set_mask" },
	{ 0x8db27986, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x67d63b6d, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x970bb090, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6837b03d, "netlink_capable" },
	{ 0x519ecb63, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xc9c22bb3, "skb_trim" },
	{ 0x5b95065f, "__alloc_skb" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0x67fb4ca5, "netlink_unicast" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb0ddecb7, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf82bca78, "bus_find_device" },
	{ 0x88619ff1, "device_add" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0522936D0657C3EA735B82");
