#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b20047a, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bc66a1a, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x82734297, "netfs_invalidate_folio" },
	{ 0xd384c683, "p9stat_free" },
	{ 0x6a03aca0, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ea336f4, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x7ceddd41, "netfs_clear_inode_writeback" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x527158e9, "p9_client_create" },
	{ 0x2413d439, "posix_acl_valid" },
	{ 0xcf7720b7, "make_kuid" },
	{ 0xfb37d273, "truncate_inode_pages_final" },
	{ 0xb8b04d8e, "fs_kobj" },
	{ 0x14a692b1, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x3429cd6f, "simple_nosetlease" },
	{ 0x4aade9a8, "netfs_page_mkwrite" },
	{ 0xcb19c55b, "xattr_full_name" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xd4123b8b, "inode_init_once" },
	{ 0x38191caf, "file_write_and_wait_range" },
	{ 0x6eb73d9a, "p9_client_setattr" },
	{ 0x9fe61a97, "copy_splice_read" },
	{ 0xb01177f7, "__fscache_relinquish_volume" },
	{ 0x8e431316, "p9_client_xattrwalk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe1570ea6, "netfs_file_write_iter" },
	{ 0xaa14a7ca, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xab28768c, "set_cached_acl" },
	{ 0x86e6d639, "p9_client_destroy" },
	{ 0xa957e2fe, "p9_client_unlinkat" },
	{ 0x6bcbdac6, "setattr_copy" },
	{ 0x595829c, "get_cached_acl" },
	{ 0x594ac7a9, "set_nlink" },
	{ 0x72b5397b, "kmem_cache_alloc_lru_noprof" },
	{ 0xa678c568, "kmem_cache_free" },
	{ 0xf67a8f2c, "p9_client_mkdir_dotl" },
	{ 0x7409e140, "d_move" },
	{ 0x5d01eaf3, "netfs_release_folio" },
	{ 0x5bc582ff, "p9_client_xattrcreate" },
	{ 0xf3af95a5, "iov_iter_kvec" },
	{ 0x5fcd29a0, "sget" },
	{ 0x4748d1d0, "p9_client_create_dotl" },
	{ 0x1b5a2556, "p9_client_lock_dotl" },
	{ 0xd2e9926b, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7ea8666e, "finish_no_open" },
	{ 0x5d7246c8, "p9_client_write" },
	{ 0x8b77c69e, "p9_client_walk" },
	{ 0xe8aeca3f, "do_trace_9p_fid_put" },
	{ 0x17f94cf5, "netfs_dirty_folio" },
	{ 0x4b192c7, "netfs_read_subreq_terminated" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x264faa3b, "p9_show_client_options" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0xc495e8c3, "p9_client_read" },
	{ 0x66d7bd01, "inode_owner_or_capable" },
	{ 0xfbb46966, "p9_client_fsync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bd8f96, "p9dirent_read" },
	{ 0xb36718c5, "p9_client_symlink" },
	{ 0xba6f050a, "make_kgid" },
	{ 0xafc76a31, "__kmem_cache_create_args" },
	{ 0x3e77780e, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa25fe6ee, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x49fb0ef3, "truncate_setsize" },
	{ 0x6a8907d4, "p9_client_readlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x61961c42, "p9_is_proto_dotl" },
	{ 0x8db53f39, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcc812458, "noop_direct_IO" },
	{ 0x1f8bd350, "p9_client_clunk" },
	{ 0x39bb8d21, "super_setup_bdi" },
	{ 0x41ce9823, "p9stat_read" },
	{ 0xa5387667, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9ade776f, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x374e3206, "p9_client_statfs" },
	{ 0xcb93790a, "init_user_ns" },
	{ 0xac8be9b2, "p9_client_link" },
	{ 0x3d891963, "inc_nlink" },
	{ 0x1e04f21d, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x30372fd6, "p9_client_stat" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b2a7a0e, "seq_printf" },
	{ 0x5833a7f1, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xfa18ac2f, "deactivate_locked_super" },
	{ 0xcff107c3, "__tracepoint_9p_fid_ref" },
	{ 0x6d26ecce, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x2a17c44f, "generic_file_open" },
	{ 0xa1557f56, "is_bad_inode" },
	{ 0xe02d6d9, "p9_client_begin_disconnect" },
	{ 0x613fa1b9, "__fscache_use_cookie" },
	{ 0xc6f096c, "p9_client_getlock_dotl" },
	{ 0x259095ca, "netfs_unbuffered_read_iter" },
	{ 0xd75cefd, "filemap_splice_read" },
	{ 0xf62a65ce, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xd5d24dac, "kill_anon_super" },
	{ 0x99f3b247, "from_kuid_munged" },
	{ 0xd93b7cd1, "iget5_locked" },
	{ 0x235d7f10, "filemap_write_and_wait_range" },
	{ 0xbd4f0fb5, "do_trace_9p_fid_get" },
	{ 0xaab96c32, "p9_client_readdir" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xdd1172f2, "filemap_fault" },
	{ 0x321c3754, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb1cbb018, "generic_file_llseek" },
	{ 0x53b954a2, "up_read" },
	{ 0x7a7f3c65, "p9_client_mknod_dotl" },
	{ 0x8c7e1b73, "set_anon_super" },
	{ 0xe41d6f73, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0xbdf75ca4, "iget_failed" },
	{ 0x67579a0f, "kmem_cache_destroy" },
	{ 0xf5101d3c, "__fscache_acquire_cookie" },
	{ 0x4818b0e1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x429afdc9, "posix_test_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0x2aada398, "inode_init_owner" },
	{ 0xfbcccc2f, "filemap_fdatawrite" },
	{ 0xd99d7379, "generic_fillattr" },
	{ 0xc6b71d1a, "p9_client_getattr_dotl" },
	{ 0xc788e707, "p9_client_wstat" },
	{ 0xb8e5cb94, "setattr_prepare" },
	{ 0xd149f31, "p9_client_open" },
	{ 0xe1c6cdec, "clear_nlink" },
	{ 0x9b189e55, "p9_client_rename" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x25e204f8, "d_instantiate" },
	{ 0xd75c026, "clear_inode" },
	{ 0x7d164ca1, "__fscache_acquire_volume" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb1eccd92, "__fscache_resize_cookie" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83bafbc3, "filemap_map_pages" },
	{ 0x1bc0e83b, "netfs_unpin_writeback" },
	{ 0x6ba8132f, "netfs_file_read_iter" },
	{ 0xf60321ec, "init_special_inode" },
	{ 0x2efdcb3a, "unregister_filesystem" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9248be1f, "simple_statfs" },
	{ 0x665ceca7, "d_make_root" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0xc5683cef, "invalidate_mapping_pages" },
	{ 0x2bf40082, "__fscache_unuse_cookie" },
	{ 0x317920d7, "netfs_unbuffered_write_iter" },
	{ 0xca856fd2, "always_delete_dentry" },
	{ 0xb322e773, "p9_client_remove" },
	{ 0x841ad89c, "d_splice_alias" },
	{ 0x44267c45, "ihold" },
	{ 0x67bfade, "p9_client_renameat" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7111136a, "finish_open" },
	{ 0xb6122eff, "generic_file_readonly_mmap" },
	{ 0x3a17df76, "netfs_writepages" },
	{ 0x8b6fd659, "iter_file_splice_write" },
	{ 0xcd0489c5, "p9_client_fcreate" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb190d124, "p9_is_proto_dotu" },
	{ 0x5e0650ef, "__fscache_relinquish_cookie" },
	{ 0xe3b79e70, "register_filesystem" },
	{ 0xf6ff4c80, "p9_client_disconnect" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3b178c4c, "netfs_readahead" },
	{ 0xaae644d1, "p9_client_attach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "netfs,9pnet");


MODULE_INFO(srcversion, "414E751B35D3877D3657210");
