#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x5f9915a4, "");
SYMBOL_CRC(jbd2_journal_start, 0xc35f9a35, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xbfd8deef, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x0897d321, "");
SYMBOL_CRC(jbd2__journal_restart, 0x612db808, "");
SYMBOL_CRC(jbd2_journal_restart, 0xd5ab4fac, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x491a4395, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x2691a3ff, "");
SYMBOL_CRC(jbd2_journal_extend, 0x11a12a97, "");
SYMBOL_CRC(jbd2_journal_stop, 0xaa7d53fe, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x317b941d, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x1ffef06f, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x3b11dcf9, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x0a6a154e, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xe058cdc8, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x21e7c01a, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xd0e62969, "");
SYMBOL_CRC(jbd2_journal_forget, 0x4b797b86, "");
SYMBOL_CRC(jbd2_journal_flush, 0x05ea0611, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x10953338, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x925f4dac, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x3abfa8b9, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x4d488375, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x3ac3c5f4, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x57c81901, "");
SYMBOL_CRC(jbd2_journal_load, 0x9c628357, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x9a440a37, "");
SYMBOL_CRC(jbd2_journal_abort, 0xeecdbe00, "");
SYMBOL_CRC(jbd2_journal_errno, 0xecd9cbbb, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x8428a938, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xb2e819f0, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x6b5e6ec2, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xcf5bbeb3, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x5364132d, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x00bb40b6, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x3e6d80bd, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x404ed78d, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xd915723e, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x5d50cfdc, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x8d20ef45, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x052e7dc9, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x0b8daa29, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x695dc108, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xdba10693, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xfe5f48a6, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xb7125c99, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xbf6628f8, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xc239c5bc, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x3a2c254d, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x28f9fcc5, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xe16ea226, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xeabe8278, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x22acc0f3, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xfd20f533, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xdc0606d4, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xcc3d9e78, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xbb717617, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xa2534b83, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfac5aa9, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x691319a, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21f716ac, "try_to_free_buffers" },
	{ 0xf49e56f2, "sync_blockdev" },
	{ 0xe319fa55, "free_buffer_head" },
	{ 0x6531cc80, "shrinker_register" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeaac2a38, "blk_finish_plug" },
	{ 0xa3983f4c, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xed07bdff, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf74037c5, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34eb940e, "__bh_read_batch" },
	{ 0x266f760, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x148b6e2e, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa678c568, "kmem_cache_free" },
	{ 0xbdb457bd, "__bh_read" },
	{ 0x35967009, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb26538db, "blkdev_issue_zeroout" },
	{ 0x92aa27df, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcc223984, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x635e8226, "freezing_slow_path" },
	{ 0x7ae21c11, "bpf_trace_run1" },
	{ 0x6b883172, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab23c569, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xafc76a31, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23b132f3, "kthread_create_on_node" },
	{ 0xdbdfd8d7, "bpf_trace_run3" },
	{ 0x29a7bb95, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf53947ec, "unlock_buffer" },
	{ 0x33668948, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x6269c113, "__folio_put" },
	{ 0xfcf49a84, "remove_proc_entry" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b2a7a0e, "seq_printf" },
	{ 0xca65dd23, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x38917cfa, "truncate_inode_pages_range" },
	{ 0x67c1ed9f, "blkdev_issue_flush" },
	{ 0xbed2762d, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa0120ba7, "end_buffer_write_sync" },
	{ 0xb823a3c1, "seq_open" },
	{ 0xd71eaa58, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd53d8c8, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x67579a0f, "kmem_cache_destroy" },
	{ 0xa3c31cfd, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xbc18445c, "bh_uptodate_or_lock" },
	{ 0xb7097861, "shrinker_alloc" },
	{ 0x2ad3f6e2, "blk_start_plug" },
	{ 0xfbdc2e0b, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb191ca72, "folio_unlock" },
	{ 0xf147ab26, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6271cc1c, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa588e564, "bpf_trace_run6" },
	{ 0x70954f5b, "mark_buffer_dirty" },
	{ 0xc256d014, "__find_get_block" },
	{ 0xe4954541, "__trace_trigger_soft_disabled" },
	{ 0x2f7c7747, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x723502ae, "trace_event_printf" },
	{ 0x840d0b7, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x55608594, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xcd4a24c0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd903108, "iput" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0xca84266c, "seq_lseek" },
	{ 0x2dea1de5, "blockdev_superblock" },
	{ 0xc5d46389, "proc_create_data" },
	{ 0xf8b19c98, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcab4e89f, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7c879090, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f93c27, "alloc_buffer_head" },
	{ 0x1e4aaedc, "wake_up_process" },
	{ 0x4bbaf8f6, "shrinker_free" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB03486CEA6A176A21FA4B6");
