#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x650604f3, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x2fc171d0, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xe4b0855b, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x99a48706, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x19198fc6, "_gpl");
SYMBOL_CRC(br_forward, 0xdfd70d45, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xccb58153, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xd543f983, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xe2478309, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x8cfa224f, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x6ce7282e, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xac6de47d, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x6dc1d57f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xc4e9ebd4, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xf451f457, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xea72de69, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x42ec2b08, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x1fdb760b, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x9bdbc6cc, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8d9bd296, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x84dd56dc, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xf8c02681, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xcc0c30b9, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7da1895a, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xe417f39b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa25fe6ee, "kobject_create_and_add" },
	{ 0xc9c22bb3, "skb_trim" },
	{ 0x9c3ee6cf, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3acdc7f0, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2fe204c0, "__ip_mc_inc_group" },
	{ 0x7b0e191d, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf498b30b, "pv_ops" },
	{ 0x8db53f39, "sysfs_remove_group" },
	{ 0x82c5db84, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3c1c8237, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7ed870db, "__netpoll_setup" },
	{ 0xf2f63941, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2d341db1, "vlan_vid_add" },
	{ 0xc6aa99b8, "neigh_destroy" },
	{ 0x3b45dac5, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8d9dd8d2, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xa53a1e1e, "__SCK__tp_func_br_fdb_update" },
	{ 0x7ff73b5f, "call_netdevice_notifiers" },
	{ 0x556ff99b, "is_skb_forwardable" },
	{ 0x79556551, "vlan_vid_del" },
	{ 0x956a4cea, "dev_set_allmulti" },
	{ 0x794f3a2c, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x1f4bd2df, "netdev_master_upper_dev_get" },
	{ 0x2fc335, "ipv6_dev_mc_inc" },
	{ 0xbb91cc75, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4259e055, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x95d1b36c, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x53ab86ac, "skb_clone" },
	{ 0x7bb52747, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x46c6f19b, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1c0926d7, "dst_release" },
	{ 0xbf1b9876, "netif_carrier_on" },
	{ 0x665dd0b4, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x42e822f5, "arp_tbl" },
	{ 0x943e5eea, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4e5b422, "netdev_rx_handler_register" },
	{ 0x53c2db1a, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x552c3d29, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe45da53e, "dev_disable_lro" },
	{ 0xfac0fdec, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfb62a1c9, "dev_get_flags" },
	{ 0x3521084a, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xaac1076e, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xac003f5b, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xac38979b, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x3b630548, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7458487d, "skb_ext_add" },
	{ 0xb702e2cc, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4bfbd74d, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0xb4cb6606, "neigh_lookup" },
	{ 0x67579a0f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4818b0e1, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa3bba1c7, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x509417c0, "netdev_lower_get_next" },
	{ 0x12e8a43e, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe46afa1b, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1b48229a, "skb_copy_bits" },
	{ 0xa70c218b, "__nlmsg_put" },
	{ 0xb0bcb73b, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7121728, "ipv6_mc_check_mld" },
	{ 0xfd97c7be, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e2426ba, "call_switchdev_notifiers" },
	{ 0x439a52fb, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x37a1557c, "netdev_update_features" },
	{ 0x2807ccdf, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20e304dd, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x8351d05d, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x94977c04, "netpoll_send_skb" },
	{ 0x643ac2c3, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbe20b33b, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x103ce372, "switchdev_port_obj_act_is_deferred" },
	{ 0xac6241dc, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb3728a2, "dev_set_promiscuity" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7808c0ff, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2cf86060, "netdev_state_change" },
	{ 0xd0614bbe, "__pskb_copy_fclone" },
	{ 0x37abc94b, "__dev_get_by_name" },
	{ 0x869791d2, "ether_setup" },
	{ 0x75f0748f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74d25fc2, "pskb_expand_head" },
	{ 0x621edc87, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xe812c2a4, "brioctl_set" },
	{ 0xffe11fbd, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xf8fed997, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x509660c4, "alloc_netdev_mqs" },
	{ 0x6085f293, "passthru_features_check" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa7d944b9, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e19b540, "__SCK__tp_func_br_mdb_full" },
	{ 0xa57613a9, "rtnl_af_register" },
	{ 0x622acf5d, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x5b95065f, "__alloc_skb" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79472fca, "rtnl_set_sk_err" },
	{ 0xc8e6f0a7, "skb_vlan_pop" },
	{ 0x6fd72100, "rtnl_unicast" },
	{ 0x471f2d1f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc156c072, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x706aef9d, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x73fe84f5, "__dev_get_by_index" },
	{ 0x6501380e, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xc044d3a8, "dev_get_port_parent_id" },
	{ 0x30f1696d, "init_net" },
	{ 0x46cb6cc3, "ipv6_stub" },
	{ 0x5d800e4f, "inet_confirm_addr" },
	{ 0x3c9b6bd6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7c0218a4, "sysfs_remove_link" },
	{ 0x2247a4d0, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x124281fa, "__SCK__tp_func_br_fdb_add" },
	{ 0xc5bdd7fa, "rtnl_af_unregister" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xca250757, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x85eae795, "dev_get_by_index_rcu" },
	{ 0x92529841, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x66314adf, "skb_push" },
	{ 0xa678c568, "kmem_cache_free" },
	{ 0x13cfd104, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x28ab9a73, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xd869ca15, "netdev_upper_dev_unlink" },
	{ 0xe9bda9ee, "netif_receive_skb" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaf2b1fa6, "llc_mac_hdr_init" },
	{ 0xfb21c2d9, "__rtnl_register_many" },
	{ 0x8ffe75fe, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbc0c9b8c, "__SCK__tp_func_fdb_delete" },
	{ 0xeaae6115, "kobject_init_and_add" },
	{ 0xb7c45457, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf711bdd3, "ns_capable" },
	{ 0x3448e53f, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd2e9926b, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb4aa8e06, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xf00c7560, "arp_create" },
	{ 0xd72434bd, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc8b7e147, "stp_proto_register" },
	{ 0xea86b613, "__tracepoint_br_fdb_update" },
	{ 0x5e30ff95, "sysfs_rename_link_ns" },
	{ 0x6d8fa602, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xab23c569, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5439ca03, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x262f1ded, "__pskb_pull_tail" },
	{ 0x3bf8f763, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3bea08a9, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x3d8c5f05, "ip_mc_check_igmp" },
	{ 0x5b102856, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xafc76a31, "__kmem_cache_create_args" },
	{ 0x45bfa248, "switchdev_port_obj_del" },
	{ 0x2cfd525a, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "AF8C4DF197285CB6DA398E8");
