#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xa4b688e0, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x76e90ed1, "_gpl");
SYMBOL_CRC(esp_input_done2, 0x9e0ca33f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf19897c5, "crypto_aead_setauthsize" },
	{ 0xaac1b828, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe863664b, "xfrm_state_lookup" },
	{ 0x7b0c7df7, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6dc10aa6, "__xfrm_state_destroy" },
	{ 0xefd0d047, "ipv4_update_pmtu" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0xcec8926f, "__put_devmap_managed_folio_refs" },
	{ 0x6269c113, "__folio_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b90b8b7, "sk_free" },
	{ 0x1b48229a, "skb_copy_bits" },
	{ 0x8217f9a4, "km_new_mapping" },
	{ 0x29049e9a, "skb_pull_rcsum" },
	{ 0x5e60ceaa, "skb_checksum" },
	{ 0x4c3af334, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x67a97ca9, "xfrm_input_resume" },
	{ 0x6673a9f2, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x395e8e70, "skb_to_sgvec" },
	{ 0x1832760c, "crypto_aead_decrypt" },
	{ 0x66314adf, "skb_push" },
	{ 0x262f1ded, "__pskb_pull_tail" },
	{ 0xf753c945, "xfrm_dev_resume" },
	{ 0xe703f0ed, "xfrm_output_resume" },
	{ 0x86ae3cf4, "__skb_ext_del" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x6115861a, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe45e56be, "__inet_lookup_established" },
	{ 0x25188415, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc796277, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xadf9bb37, "espintcp_queue_out" },
	{ 0xf77fd7ee, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x60cc2db7, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7620a64e, "crypto_aead_encrypt" },
	{ 0x2c640b5b, "xfrm_state_mtu" },
	{ 0xe9477aeb, "xfrm4_rcv" },
	{ 0x4e480f73, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x59cf7fc4, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x5d10f406, "xfrm4_protocol_register" },
	{ 0x26185cbe, "xfrm_unregister_type" },
	{ 0x691319a, "crypto_destroy_tfm" },
	{ 0xc35c8492, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa910abb7, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "22A025970726C362B8DD4F0");
