#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3810beca, "tcf_unregister_action" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xc9c22bb3, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9613f6da, "flow_offload_lookup" },
	{ 0x30f1696d, "init_net" },
	{ 0x16fc7780, "flow_offload_refresh" },
	{ 0xa7fd560a, "nf_ct_acct_add" },
	{ 0x262f1ded, "__pskb_pull_tail" },
	{ 0xa3079e1e, "flow_offload_teardown" },
	{ 0xf498b30b, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x44e9e0c4, "nf_conntrack_helper_put" },
	{ 0x922ec520, "nf_connlabels_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x85559b00, "nf_nat_helper_put" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x39dc264c, "tcf_idr_check_alloc" },
	{ 0x442fadfc, "tcf_action_check_ctrlact" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3858be06, "nf_flow_table_init" },
	{ 0xb6ede01, "__module_get" },
	{ 0x1ef49e8d, "tcf_chain_put_by_act" },
	{ 0xdfa5dc8a, "tcf_idr_release" },
	{ 0xa0d65260, "tcf_idr_create_from_flags" },
	{ 0x533a251f, "tcf_idr_cleanup" },
	{ 0xadf179, "nf_connlabels_get" },
	{ 0xccf5211e, "nf_ct_tmpl_alloc" },
	{ 0xd92f7c9c, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xad33f820, "tcf_action_set_ctrlact" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x29049e9a, "skb_pull_rcsum" },
	{ 0x821f8fc7, "ipv6_find_hdr" },
	{ 0x236dd61a, "nf_ct_handle_fragments" },
	{ 0x99cea0f1, "nf_ct_skb_network_trim" },
	{ 0x87f42ab6, "nf_conntrack_in" },
	{ 0x1b48229a, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x66314adf, "skb_push" },
	{ 0x6aff2d8e, "nf_ct_deliver_cached_events" },
	{ 0xcbf8faf7, "nf_ct_nat" },
	{ 0x5791f990, "nf_ct_helper" },
	{ 0x40e0c005, "flow_offload_alloc" },
	{ 0x716ae270, "flow_offload_add" },
	{ 0x3bd4ca54, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc25e0889, "__nf_ct_try_assign_helper" },
	{ 0xb1f9bfb2, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7ad8ef78, "nf_ct_delete" },
	{ 0xb89a5f8f, "nf_ct_ext_add" },
	{ 0x38170751, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e653e7c, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8378d099, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x53f8ef8a, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa74d3c1b, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8d304f20, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xdb1cf26e, "tcf_register_action" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "306D0FF4094D85307E5DE29");
