#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x4863d02f, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x99b05530, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x77318c1f, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x35e53de2, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x5c2e0a10, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x7fa6dd60, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xb5a2a473, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x52f9b1bb, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xd11394ed, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x876ca2ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c418032, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6bcfa6c5, "devm_gpiod_get_optional" },
	{ 0xdbddffdc, "wm_adsp_stop" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc284e7b, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23a33ae7, "__pm_runtime_set_status" },
	{ 0xe92143bc, "devm_snd_soc_register_component" },
	{ 0xfa6ba593, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x43b71a0a, "sdw_write_no_pm" },
	{ 0x6c7f0f70, "devm_free_irq" },
	{ 0x750dc81a, "pm_runtime_enable" },
	{ 0x7a22e1f7, "fwnode_gpiod_get_index" },
	{ 0x874bdf0f, "regulator_bulk_disable" },
	{ 0xe39629af, "_dev_info" },
	{ 0x532cc8d1, "acpi_dev_remove_driver_gpios" },
	{ 0x9f19095f, "snd_soc_info_volsw" },
	{ 0x73da6057, "cs35l56_init_cs_dsp" },
	{ 0xc284c9bf, "wm_adsp_power_down" },
	{ 0x55c15649, "_dev_err" },
	{ 0xd093224, "debugfs_create_bool" },
	{ 0x2fa09fb2, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x7f227dbb, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6ff1b6b2, "cs35l56_runtime_suspend_common" },
	{ 0xd54c3c33, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4a03dc99, "cs35l56_mbox_send" },
	{ 0x35595260, "cs35l56_hw_init" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x10b2a566, "wm_adsp2_component_probe" },
	{ 0xd31d714e, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25fd21c8, "cs35l56_system_reset" },
	{ 0xf3204edd, "snd_soc_info_enum_double" },
	{ 0x9bdcda94, "regulator_bulk_enable" },
	{ 0xd5ef96af, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2d289958, "wm_adsp2_component_remove" },
	{ 0xb0b92e19, "cs35l56_wait_for_firmware_boot" },
	{ 0x91aa9b1, "devm_kasprintf" },
	{ 0x710ddc85, "snd_soc_get_volsw" },
	{ 0x72414210, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xdbe60fff, "fwnode_property_present" },
	{ 0xc64209c6, "cs35l56_is_fw_reload_needed" },
	{ 0xf1179ca6, "regmap_read" },
	{ 0x24af6fa0, "snd_soc_put_volsw" },
	{ 0x8b69c8c3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb5e1f4e2, "cs_amp_write_cal_coeffs" },
	{ 0x19b4f67, "device_get_named_child_node" },
	{ 0xa5a497ad, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6e7e0315, "sdw_stream_remove_slave" },
	{ 0x63c4b007, "cs35l56_runtime_resume_common" },
	{ 0x9a672fba, "dapm_regulator_event" },
	{ 0xce8f0d05, "cs35l56_get_speaker_id" },
	{ 0xc432347c, "wm_adsp_run" },
	{ 0xe07f95ca, "regmap_update_bits_base" },
	{ 0x334352c3, "acpi_dev_get_property" },
	{ 0x17d33ed3, "dev_err_probe" },
	{ 0x9c0ae054, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0xeadfca7d, "__devm_add_action" },
	{ 0x3b67bcb9, "snd_soc_dapm_get_enum_double" },
	{ 0xb1e6d386, "__pm_runtime_use_autosuspend" },
	{ 0x8690be55, "wm_halo_init" },
	{ 0x490d7793, "__pm_runtime_disable" },
	{ 0x8353d09f, "cs35l56_firmware_shutdown" },
	{ 0x859e1146, "sdw_stream_add_slave" },
	{ 0x52ad8cc3, "pm_runtime_force_suspend" },
	{ 0xbb1a8812, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x4927f361, "snd_soc_dapm_put_enum_double" },
	{ 0x2370fd70, "gpiod_get_value_cansleep" },
	{ 0xb2d1d72e, "regcache_cache_only" },
	{ 0xc73a0370, "is_acpi_device_node" },
	{ 0x6f49566, "gpiod_put" },
	{ 0x368111a9, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76d8f865, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbbc1b2d4, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbc70fc7a, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9c867ac2, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");
