#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x79b2f6a1, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x2ef02c95, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x0ae8b572, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x52d4e212, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x3a1941ae, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x1378df4d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8251576, "snd_soc_component_write" },
	{ 0xe92143bc, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xef43c868, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x85d63a93, "device_property_read_u32_array" },
	{ 0x5cfc0b9e, "snd_soc_get_enum_double" },
	{ 0x2d2f4303, "i2c_register_driver" },
	{ 0x9f19095f, "snd_soc_info_volsw" },
	{ 0x55c15649, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x67e566ab, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3234d65c, "snd_soc_dapm_force_bias_level" },
	{ 0xd82361d8, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8a5b7e62, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x1aaf2672, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3204edd, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3ae3e8fe, "devm_clk_get_optional" },
	{ 0x710ddc85, "snd_soc_get_volsw" },
	{ 0xf1179ca6, "regmap_read" },
	{ 0x24af6fa0, "snd_soc_put_volsw" },
	{ 0xc284f0bf, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd63678e, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe07f95ca, "regmap_update_bits_base" },
	{ 0x368ffbc0, "snd_soc_dapm_get_volsw" },
	{ 0xeadfca7d, "__devm_add_action" },
	{ 0x56ee707, "i2c_del_driver" },
	{ 0x691f63bc, "regmap_register_patch" },
	{ 0x3b67bcb9, "snd_soc_dapm_get_enum_double" },
	{ 0x7c7a3818, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4927f361, "snd_soc_dapm_put_enum_double" },
	{ 0x2370fd70, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9f520cb6, "device_property_present" },
	{ 0xb2d1d72e, "regcache_cache_only" },
	{ 0x368111a9, "regcache_sync" },
	{ 0x76d8f865, "regmap_write" },
	{ 0xb79d22fe, "devm_kmalloc" },
	{ 0xa6b331a5, "snd_soc_jack_report" },
	{ 0x5b1cdddd, "snd_soc_component_read" },
	{ 0xbc70fc7a, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x6abd39ac, "gpiod_to_irq" },
	{ 0xfeb0d018, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd1efd00a, "snd_soc_put_enum_double" },
	{ 0x9c418032, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5ec54d91, "gpiod_get_value" },
	{ 0x6bcfa6c5, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6ada094f, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");
