#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5677_sel_asrc_clk_src, "_gpl", "");

SYMBOL_CRC(rt5677_sel_asrc_clk_src, 0x2dc3dbbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7596d2d9, "gpiochip_add_data_with_key" },
	{ 0x5463da9c, "gpiochip_remove" },
	{ 0x710ddc85, "snd_soc_get_volsw" },
	{ 0xf1179ca6, "regmap_read" },
	{ 0x24af6fa0, "snd_soc_put_volsw" },
	{ 0x61546e11, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x507631db, "irq_create_mapping_affinity" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xe07f95ca, "regmap_update_bits_base" },
	{ 0x368ffbc0, "snd_soc_dapm_get_volsw" },
	{ 0x56ee707, "i2c_del_driver" },
	{ 0x691f63bc, "regmap_register_patch" },
	{ 0xa4e05c02, "irq_set_chip" },
	{ 0x3b67bcb9, "snd_soc_dapm_get_enum_double" },
	{ 0xf9a482f9, "msleep" },
	{ 0x580fd075, "__dev_fwnode" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd11c1876, "__devm_regmap_init" },
	{ 0x4927f361, "snd_soc_dapm_put_enum_double" },
	{ 0x9f520cb6, "device_property_present" },
	{ 0x67956035, "rt5677_spi_write" },
	{ 0x9a2bd059, "irq_domain_xlate_twocell" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb2d1d72e, "regcache_cache_only" },
	{ 0x368111a9, "regcache_sync" },
	{ 0x76d8f865, "regmap_write" },
	{ 0x7f67adf8, "devm_request_threaded_irq" },
	{ 0xb79d22fe, "devm_kmalloc" },
	{ 0xbc70fc7a, "gpiod_set_value_cansleep" },
	{ 0xc5b745b9, "request_firmware" },
	{ 0xc6695825, "rt5677_spi_hotword_detected" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9c418032, "regcache_mark_dirty" },
	{ 0x6bcfa6c5, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7f5d008, "snd_soc_dapm_sync" },
	{ 0xe92143bc, "devm_snd_soc_register_component" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xef43c868, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x85d63a93, "device_property_read_u32_array" },
	{ 0xe39629af, "_dev_info" },
	{ 0x2d2f4303, "i2c_register_driver" },
	{ 0x9f19095f, "snd_soc_info_volsw" },
	{ 0x1683bab, "gpiochip_get_data" },
	{ 0x55c15649, "_dev_err" },
	{ 0xd2bcf7f3, "device_property_read_u8_array" },
	{ 0x67e566ab, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3234d65c, "snd_soc_dapm_force_bias_level" },
	{ 0x5a921311, "strncmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x8c536e3f, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x355a6092, "device_get_match_data" },
	{ 0x1aaf2672, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3204edd, "snd_soc_info_enum_double" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm,snd-soc-rt5677-spi");

MODULE_ALIAS("of:N*T*Crealtek,rt5677");
MODULE_ALIAS("of:N*T*Crealtek,rt5677C*");
MODULE_ALIAS("acpi*:RT5677CE:*");

MODULE_INFO(srcversion, "527D773B93084F85BC7612F");
