#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0x85c1d5f6, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x7049b3c9, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x49d1f19a, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x671746d1, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x3ffca3c3, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x73be21b2, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0xcc1f4743, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x0981301b, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xb7eff289, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x482a4af7, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0xf6cf4dc0, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x4cce8216, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x4df933dd, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x7e627241, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x3991d5a4, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x8035cc8c, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x37b62880, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xa7e9996c, "_gpl");
SYMBOL_CRC(ata_link_online, 0xc1de726f, "_gpl");
SYMBOL_CRC(ata_link_offline, 0xebc3a3c2, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xe745b1fa, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x1388e3c0, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0xf0a057db, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x5b18e109, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x777a58df, "_gpl");
SYMBOL_CRC(ata_port_free, 0xa9389ee9, "_gpl");
SYMBOL_CRC(ata_host_put, 0xa260ea2e, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x21da9aa0, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x17eb6176, "_gpl");
SYMBOL_CRC(ata_host_start, 0xfac1004f, "_gpl");
SYMBOL_CRC(ata_host_init, 0xdbeb9d84, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xca4fc955, "_gpl");
SYMBOL_CRC(ata_host_register, 0x825f7374, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x62c58629, "_gpl");
SYMBOL_CRC(ata_host_detach, 0xca3a1cfd, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x41efe1b6, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x5d33e831, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xcbf48a43, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x555023f2, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xbec2713b, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x1f209cfc, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0xc83c7f56, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x91385976, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x6ab08328, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x5ee276d9, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x5cd7f95b, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x7ab6663b, "_gpl");
SYMBOL_CRC(ata_print_version, 0x95320ee2, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xaf493bde, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0xfa02aaff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x9a195f8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0x71349778, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x1438934d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0x33eed4e1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0x2e6f1e4f, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x052fd48c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0x46b4eb66, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x750bd451, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0xc49c7843, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x1dd02178, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x404a9e8f, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0xb59a6ae9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x0290dd16, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x55678160, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x4c29abc9, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x34dae2c3, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x3bfa8595, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x59910d8f, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x3964846b, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x1ace7fa9, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0xeca859cb, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0x39f089dd, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0xebf30711, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xe281ffba, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x9ad8f21e, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0xcbaa2650, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x16edcba7, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x47cd5445, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x4f7ccb78, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xa4b9f734, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0xc381923b, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xfe2d1e30, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x8d6007ff, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x55da5233, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xdded2e40, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x4d830c0d, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x59733e66, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x078e9647, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xfaeded3a, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x7224da9b, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0xad8e071d, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x75cdde64, "_gpl");
SYMBOL_CRC(ata_tport_add, 0xe7e00a95, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x07ce2db3, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x06a0bf0f, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x7f8271d8, "_gpl");
SYMBOL_CRC(sata_scr_write, 0xa2866e47, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x5b3c2934, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x117917c4, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x347d8597, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0xfc873217, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x218cf7e5, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x7f4e5cbf, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0xcf2fd863, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x3a0d22ee, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x10964ba2, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0xe1fd0624, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x660b5ad4, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0xfb8f473d, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x3b88e879, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x52b7917a, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x386b743e, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xc1a17e9c, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0xd5f3718f, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xf17699bc, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x1982b94f, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x87056433, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x9017af18, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x0038a28e, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0x74ec2ced, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0xa60c7b20, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x80f256c8, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0xd10ac45a, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x2fdb0085, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x076b1e77, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0xc9c2e829, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0xb17653ed, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x43073a56, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x2f735681, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x666c94fc, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x9c4ad31d, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x3708d476, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x64f60302, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0xf27c91d2, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xb0687956, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x020f8915, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x526af2a3, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x9965dd9c, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x19301fc6, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x972a0b9b, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x7445ed3e, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xb7147910, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0xa533aff0, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x7a0d63b5, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0xeda8fb81, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x68be777f, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0xb0076cd3, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x8250a86d, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x142ffc44, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x81662faf, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0xe4e5fec7, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xa9b734ba, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xa88a6643, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x86576558, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0x56d07f5f, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x72b153d8, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x340ee72f, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x64e6b198, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x9415b996, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x003fff92, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x82a83187, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0xe1970f15, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x010b240f, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x813f00d9, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xb99a38b8, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x0a6cc58f, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0xfd246690, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x37a06f9a, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x8f13ceb4, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xa2ac5556, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x26958156, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x177db708, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0x0c6d3ce5, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xae55f3d5, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xf3039404, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0x027faed6, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x8b83ee78, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x37a20da9, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x57ec8806, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0x2e751624, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x0c6b4820, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x661444dc, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0xecc48ad5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x36710767, "scsi_device_set_state" },
	{ 0xc830a649, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0xbfac5aa9, "trace_event_buffer_commit" },
	{ 0x61b17934, "pci_read_config_dword" },
	{ 0x61f343b3, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23a33ae7, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x1a0d29af, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0x6c7f0f70, "devm_free_irq" },
	{ 0x750dc81a, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4eb3b200, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc37a42c5, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xf92b168e, "pcim_iomap_regions" },
	{ 0x60711c9b, "kobject_uevent_env" },
	{ 0x7ee02f3e, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf74037c5, "perf_trace_run_bpf_submit" },
	{ 0x55c15649, "_dev_err" },
	{ 0x29de6437, "scsi_host_put" },
	{ 0x25bcf98b, "transport_class_unregister" },
	{ 0x88619ff1, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb34c56ea, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31ebc69a, "attribute_container_register" },
	{ 0x93124492, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe924c202, "__devres_alloc_node" },
	{ 0x7c914eff, "sg_miter_stop" },
	{ 0x35967009, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x4d5d3462, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0xa0f873e, "transport_configure_device" },
	{ 0xad732559, "devres_open_group" },
	{ 0x4699ec2f, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd456d20a, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xab332dd6, "transport_add_device" },
	{ 0xea772a2b, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4bc07d49, "pci_restore_state" },
	{ 0x7ae21c11, "bpf_trace_run1" },
	{ 0xf2272579, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x66ccf00d, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x65e7f8bb, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x81104d2c, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x8db27986, "dma_set_coherent_mask" },
	{ 0x91aa9b1, "devm_kasprintf" },
	{ 0xf498b30b, "pv_ops" },
	{ 0xdbdfd8d7, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xd1c1818f, "pm_runtime_forbid" },
	{ 0x33668948, "trace_event_buffer_reserve" },
	{ 0x8b69c8c3, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7633b4ff, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6038732f, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5525125a, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9459ef36, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x90d9059a, "pci_disable_device" },
	{ 0x6eada707, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x17aa3d23, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x116cbf02, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x6524321, "pcim_iomap_table" },
	{ 0xadff81c8, "scsi_remove_device" },
	{ 0xb5d391a0, "blk_abort_request" },
	{ 0x169dbed9, "scsi_add_host_with_dma" },
	{ 0xb6f0c368, "set_primary_fwnode" },
	{ 0xf4c94421, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xc5e975e4, "param_ops_int" },
	{ 0x68ab4e27, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9eeacd22, "dev_pm_qos_expose_flags" },
	{ 0x83ff61de, "pcim_enable_device" },
	{ 0x82dc9c9, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xbb584ffc, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf13225b2, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x91883c54, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa7138924, "acpi_pm_set_device_wakeup" },
	{ 0xe052e50b, "pci_bus_type" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x19f7f820, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf9b501c, "transport_class_register" },
	{ 0x8d7a3c6e, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xeebc7f04, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc73a0370, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf90431b, "devres_release_group" },
	{ 0x7f67adf8, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xae4a4b38, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x67d63b6d, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x165d1757, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x68b2526f, "dmam_alloc_attrs" },
	{ 0x6271cc1c, "trace_raw_output_prep" },
	{ 0xd91b121d, "scsi_remove_host" },
	{ 0x18781614, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4954541, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xce65e6f9, "scsi_build_sense" },
	{ 0xa554a99c, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x723502ae, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x36e42fa7, "scsi_check_sense" },
	{ 0x970bb090, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x200a6bba, "sdev_evt_send_simple" },
	{ 0xcd4a24c0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8b19c98, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x229fcc7, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbb79f7c6, "sdev_disable_disk_events" },
	{ 0xc0f45cd9, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "F31035C171845420C57320C");
