#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0xe532e47e, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x1b6a7620, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0x096b2899, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc73a0370, "is_acpi_device_node" },
	{ 0x8b69c8c3, "__pm_runtime_resume" },
	{ 0xe7c14418, "i2c_acpi_new_device_by_fwnode" },
	{ 0xf13225b2, "device_link_add" },
	{ 0xe39629af, "_dev_info" },
	{ 0x9eec6ceb, "__pm_runtime_idle" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x55c15649, "_dev_err" },
	{ 0xc523d599, "acpi_dev_get_first_match_dev" },
	{ 0x708f09f8, "acpi_dev_get_next_consumer_dev" },
	{ 0x555c1a68, "acpi_dev_get_next_match_dev" },
	{ 0x168214dc, "platform_bus_type" },
	{ 0xf82bca78, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2146abbc, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0x580fd075, "__dev_fwnode" },
	{ 0xf04815d9, "fwnode_find_reference" },
	{ 0xdf60038a, "i2c_find_device_by_fwnode" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x4d666249, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c02b9bd, "fwnode_graph_get_next_endpoint" },
	{ 0xb48f0638, "software_node_register" },
	{ 0xcfc07fa0, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x5046d758, "software_node_fwnode" },
	{ 0xbb37d092, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD00931DA7B32CC86328B9D");
