#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xa51652af, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xe1a5abc4, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x115c23ba, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xf9d4d733, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x69012d7b, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x02ae02d7, "");
SYMBOL_CRC(mlx5_cmd_check, 0xfd8ef755, "");
SYMBOL_CRC(mlx5_cmd_do, 0x0ff847a4, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x6a6bf70f, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xae7b642e, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x6acf4d05, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x82fa05f6, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x55d5bd10, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x41215e86, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xc17ec288, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x7d5cb73d, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x19a6050b, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x68f747e3, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xc74df681, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x450482fa, "");
SYMBOL_CRC(mlx5_eq_enable, 0x6a61d84a, "");
SYMBOL_CRC(mlx5_eq_disable, 0x6f9e29cc, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xd702b347, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x6fad6c95, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xdd1ca44e, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x60a233dc, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xd6f375c0, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xc29c0db3, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x750a0470, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x5c43a9df, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x93941b3b, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xbb4ef6bf, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x46f6c7e5, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xf41f5979, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x1516568a, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x3f60afbd, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x425fb3b1, "");
SYMBOL_CRC(mlx5_create_cq, 0xdebbbff5, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x6ffd0239, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xefa9032c, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xab5045a2, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x4249d21c, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xe57e97d1, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xcefb23fc, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x17f9c16a, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x01e69d9b, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xe59af1e4, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x4a2e1d31, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x13aab86e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x2f77b42a, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xf94092ac, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x56a86d79, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x270615f0, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x32ae06c8, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x676caac3, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xd0788dba, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xc60934b4, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x87508e8a, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xbd42288f, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x12251b64, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x5e152c1c, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x84d69749, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xe288e6a3, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xd21fa122, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xc1d3dcb2, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x9ad6e7ea, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x69666af8, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x51df4a7c, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xc1139595, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x87035775, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x50da99b1, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x09a56c71, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x56b53f4a, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x15fc7da0, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xb5fbe599, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x86ec3c69, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xcae0d926, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x3e9b42e0, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xfc2f4408, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x7799c445, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x196b92f9, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x52407bf6, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xf4b49e1b, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xaf8aa493, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x59800544, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x799598a3, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xb94ec668, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xa87ff46d, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x4b1c4258, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x786ae599, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x8a3861a9, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x4d8440fc, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xe00b854f, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xc1a7c27c, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x2a7063e6, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xf415a683, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x0e225525, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x58d3cc38, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x7c71f462, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x0531a3a3, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x1fd5db11, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x4a916fa4, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x38cb8994, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x78732a4e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xecf71e7e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x9a7dbf76, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x0c7aebed, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xb29147c3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x3d216914, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x30323b44, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xccba8293, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x89bf3099, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x1479c9a1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xba24e734, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xa42b6c9b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x055ab55a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x1d747014, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x83c5a8b5, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x5cdb0443, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x294aef0f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x0bbd4069, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xa312aa53, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x3453993c, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xb3c9916a, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x2e345e92, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x6060b88a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x14c03721, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x66c6ffc7, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x79da4869, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x326a2a30, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x67c78e69, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x2f2ba5e6, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdcdf4a4d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xcef6752b, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcabf4e04, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x4e56174d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xdc57c02b, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x2cfba6f8, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xeb99c100, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x174212e0, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xfda0e530, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x55aeacf2, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x69c8e6e5, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xd876a7f1, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xa2fdf919, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x29ea82b1, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xc6b312f3, "");
SYMBOL_CRC(mlx5_fc_create, 0x14ebfd96, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x7401d24a, "");
SYMBOL_CRC(mlx5_fc_query, 0x7cb20b95, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x2a133b24, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xa005b6dd, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x439bc4b4, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x029941da, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xeedf0f84, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x91e0d9d1, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x7c06f4b0, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x43633996, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x5f1b1773, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xb7de657d, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x2236632e, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xfa2693cc, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xb18c80ce, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xe14fbe1e, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x638b7c0a, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xa595c80c, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xa03827b7, "");
SYMBOL_CRC(mlx5_notifier_register, 0x75cc63ef, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xbf2bbbfa, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x80445d7d, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x3d3dbb41, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xbabbfd28, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x5079dfdd, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x2bac5ed7, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xf12f361b, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x6808af0b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x5f88b0df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x66efb7e5, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xc11c18c8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xf05c04fe, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xcffb0026, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x09e7ee99, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x0700f677, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xa0f3595a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xae1441b4, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x68e79a5b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x3ee985b8, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x2f5bb23c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xf11c229f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x9902fae0, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xb6a00af8, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x93fc80ec, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xe0b31577, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x406dc83f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x262e8b5a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2247af55, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xf5bfc389, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8d01e22a, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x5caa79b0, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x2263d392, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xfaa7f4bf, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x115b2327, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x87f3d8ae, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xf07c72b0, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x2f017252, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xc6295b12, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x3010c3af, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x2a8760c4, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x9b63db0f, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xa08a4515, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xe4b06ba3, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x3ac92999, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xfc96397f, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xe9ea07f6, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xd6aed921, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xdc2f16e5, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x017851e4, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xc771c6e1, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x2288ef67, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x09b29098, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x4d37f9c6, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x3fd838ff, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x2d1e8d43, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x2296dfc2, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xff7507eb, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x6eaffddf, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xf549c107, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x7a5c8f71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb4aa8e06, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xeb597baa, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd72434bd, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7326f0c2, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4bc07d49, "pci_restore_state" },
	{ 0x7ae21c11, "bpf_trace_run1" },
	{ 0x1487ebe8, "__inet6_lookup_established" },
	{ 0xdaadae19, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf2272579, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x1f083f1d, "page_pool_create" },
	{ 0x5e60ceaa, "skb_checksum" },
	{ 0xc4e8d524, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x8ea4c9ef, "_dev_warn" },
	{ 0xf404b918, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x85888177, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x27ee4f91, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x525df166, "devl_resources_unregister" },
	{ 0xfb5130e, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xde81b4e7, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x65e7f8bb, "pci_set_master" },
	{ 0xc20dded, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6e53ea, "debugfs_create_u32" },
	{ 0xab23c569, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf5e0296, "flow_rule_match_ipv6_addrs" },
	{ 0x3912fa1, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xd153cce4, "devl_params_unregister" },
	{ 0xc056cf79, "ptp_clock_unregister" },
	{ 0x262f1ded, "__pskb_pull_tail" },
	{ 0x3c5b3118, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x5b102856, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x2271aee4, "devlink_trap_report" },
	{ 0xafc76a31, "__kmem_cache_create_args" },
	{ 0x44b588bf, "__neigh_event_send" },
	{ 0x40a48953, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xaf0592fc, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf99ddcc4, "devl_traps_register" },
	{ 0xc296cbe1, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x3acdc7f0, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8db27986, "dma_set_coherent_mask" },
	{ 0xf162ac63, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xf498b30b, "pv_ops" },
	{ 0xf01ccf4, "flow_rule_match_enc_control" },
	{ 0xdbdfd8d7, "bpf_trace_run3" },
	{ 0x29a7bb95, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x821f8fc7, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x89430b5d, "debugfs_create_file" },
	{ 0xebf14fc7, "rps_may_expire_flow" },
	{ 0x722e11bd, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x7bf26783, "xsk_set_tx_need_wakeup" },
	{ 0xf2f63941, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x15bb8888, "netdev_reset_tc" },
	{ 0xc6aa99b8, "neigh_destroy" },
	{ 0x1b538e62, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x33668948, "trace_event_buffer_reserve" },
	{ 0xa8c4164d, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xe207f9bb, "debugfs_create_x32" },
	{ 0x5210250b, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbe16aa3d, "flow_rule_match_enc_ports" },
	{ 0x36cf15e1, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaa8b7d20, "pci_release_regions" },
	{ 0x1c0016c2, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x779e5d84, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7a2497d8, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xbc137bd6, "devl_assert_locked" },
	{ 0xea89776f, "pcie_print_link_status" },
	{ 0x5db6ea25, "xp_set_rxq_info" },
	{ 0xf33bb814, "flow_rule_match_vlan" },
	{ 0x4a0ff127, "devl_port_unregister" },
	{ 0xc5d2876e, "xdp_rxq_info_unreg" },
	{ 0x934019a6, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x46dabacf, "devl_param_driverinit_value_get" },
	{ 0x334e3093, "napi_build_skb" },
	{ 0x10b3b8a7, "netdev_master_upper_dev_get_rcu" },
	{ 0xf093336f, "__xdp_rxq_info_reg" },
	{ 0xf7e399b5, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x1f4bd2df, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4be08b54, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x95b86b24, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4259e055, "netif_carrier_off" },
	{ 0x7b2a7a0e, "seq_printf" },
	{ 0xe738eb1b, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x77bd1039, "devlink_priv" },
	{ 0x5b127bbb, "pci_enable_ptm" },
	{ 0x729b9bb7, "devlink_port_register_with_ops" },
	{ 0x2cfbb20f, "pci_disable_sriov" },
	{ 0x46c6f19b, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1c0926d7, "dst_release" },
	{ 0xbf1b9876, "netif_carrier_on" },
	{ 0x17854ef1, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x1fca3955, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x42e822f5, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9f5cc7b0, "alloc_pages_noprof" },
	{ 0x90d9059a, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x9004466e, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6480b24b, "page_pool_update_nid" },
	{ 0xb8be422b, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x17aa3d23, "dma_set_mask" },
	{ 0xf376116c, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x552c3d29, "netif_set_tso_max_size" },
	{ 0x572072c2, "vlan_dev_vlan_id" },
	{ 0xd34a4432, "__skb_flow_dissect" },
	{ 0x710b2155, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb823a3c1, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe329b244, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xbbe3e9df, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8873f70b, "skb_coalesce_rx_frag" },
	{ 0x46c8cd89, "xp_raw_get_data" },
	{ 0xde9ff4c8, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x5c1ef528, "napi_schedule_prep" },
	{ 0x91a9952d, "qdisc_reset" },
	{ 0xb24184ca, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xae5e7c, "xp_alloc_batch" },
	{ 0x543ce8ec, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x78b4563a, "napi_disable" },
	{ 0xaac1076e, "dev_kfree_skb_any_reason" },
	{ 0xa0d7d88d, "dcb_ieee_delapp" },
	{ 0x8463a675, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc1c0c779, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xde91f3e1, "debugfs_create_u8" },
	{ 0x260ef791, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc15fdf, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb66bc3b4, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7458487d, "skb_ext_add" },
	{ 0x20973787, "pcie_bandwidth_available" },
	{ 0x8fd7f011, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x96b0a050, "flow_rule_match_control" },
	{ 0xd83323bd, "flow_rule_match_ip" },
	{ 0xa1f2ff6e, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x56481288, "auxiliary_device_sysfs_irq_add" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xccc06f8, "dcb_ieee_setapp" },
	{ 0x39ed459e, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd5162ec7, "xsk_tx_release" },
	{ 0x42aa46c8, "devl_traps_unregister" },
	{ 0x560d415f, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9cec0279, "pci_write_config_dword" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x806a4cf9, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xb4cb6606, "neigh_lookup" },
	{ 0x67579a0f, "kmem_cache_destroy" },
	{ 0xa5428343, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xca7222aa, "__tracepoint_xdp_exception" },
	{ 0xe45e56be, "__inet_lookup_established" },
	{ 0xcbba192e, "xsk_tx_completed" },
	{ 0x8829daef, "napi_alloc_skb" },
	{ 0x44513504, "alloc_etherdev_mqs" },
	{ 0x509417c0, "netdev_lower_get_next" },
	{ 0xad7610f9, "secpath_set" },
	{ 0x5c4ecc7f, "flow_block_cb_lookup" },
	{ 0x8d7a3c6e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdda3dea1, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x40be01c1, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xed6904ec, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5b485fe4, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x53e210fb, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5d92c5a7, "bpf_prog_put" },
	{ 0xdae7e551, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xe19554e6, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1b2892a9, "pci_cfg_access_unlock" },
	{ 0xbed4d69e, "xp_dma_map" },
	{ 0xfbdc2e0b, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd4001d8e, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x1b48229a, "skb_copy_bits" },
	{ 0xd051da3a, "debugfs_attr_write" },
	{ 0xabac78aa, "dma_pool_create" },
	{ 0xb96ffc9d, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x50b95129, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x5e12aa8f, "pci_enable_device" },
	{ 0xfd97c7be, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa76b20e6, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e2426ba, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xca953391, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5259829c, "register_fib_notifier" },
	{ 0x60bfaca7, "auxiliary_device_init" },
	{ 0xa90ffb62, "ip6_dst_hoplimit" },
	{ 0x37a1557c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x563a489f, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xda16001e, "pci_alloc_irq_vectors" },
	{ 0xf6060ae0, "netif_napi_add_weight" },
	{ 0xa76316a7, "pci_enable_atomic_ops_to_root" },
	{ 0xf147ab26, "seq_release" },
	{ 0x467fcfaa, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x6271cc1c, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x89455782, "xsk_clear_tx_need_wakeup" },
	{ 0xe9a46561, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x93f426a, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xb2b24558, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x62f0ae2e, "ndo_dflt_bridge_getlink" },
	{ 0x39ab48d4, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x1ac925f, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe4954541, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf5bb8cc4, "flow_rule_match_tcp" },
	{ 0xaed1cbb6, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x6994e7e0, "register_netdevice_notifier_dev_net" },
	{ 0x7f94f5eb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x723502ae, "trace_event_printf" },
	{ 0x3d29be8b, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc014094b, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xeda96a56, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xa9bbfd8e, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8d986489, "pci_num_vf" },
	{ 0x3116c55d, "debugfs_create_atomic_t" },
	{ 0xf6e6d607, "flow_rule_match_eth_addrs" },
	{ 0x4b19e1db, "pci_disable_ptm" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x168e960c, "xfrm_state_check_expire" },
	{ 0x4d03b3ea, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdd7512ed, "ptp_clock_index" },
	{ 0xf12d2976, "pci_request_regions" },
	{ 0x4c3af334, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xcd4a24c0, "trace_event_raw_init" },
	{ 0xabf31fe7, "flow_block_cb_free" },
	{ 0xf4b363d, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x49122ac0, "xp_can_alloc" },
	{ 0x2b07aa56, "psample_sample_packet" },
	{ 0xac6241dc, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e83adf4, "devlink_alloc_ns" },
	{ 0xcb76bdf9, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xd83548a6, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x22fd03b6, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xccb83de7, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0xca84266c, "seq_lseek" },
	{ 0x27b98c28, "page_pool_destroy" },
	{ 0x223dbf51, "xdp_do_redirect" },
	{ 0x69064cc3, "devlink_free" },
	{ 0x1a273e77, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8b19c98, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xfefa5495, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xf7179471, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfcf3acf, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xef6e4b09, "pci_irq_vector" },
	{ 0xddae8839, "flow_rule_match_ipv4_addrs" },
	{ 0x8325513, "ip_route_output_flow" },
	{ 0x5a3c95b5, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x698c8385, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf50096aa, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6bbe23e6, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x75f0748f, "netdev_err" },
	{ 0xbb2bbf87, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2726a93f, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc830a649, "dev_driver_string" },
	{ 0x27fdf636, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xbfac5aa9, "trace_event_buffer_commit" },
	{ 0xffe11fbd, "dev_addr_mod" },
	{ 0xd64ba111, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x350cc583, "ptp_find_pin" },
	{ 0x8693634a, "eth_type_trans" },
	{ 0x61b17934, "pci_read_config_dword" },
	{ 0x53e82932, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xe4f45fcc, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda4d4a0a, "auxiliary_driver_unregister" },
	{ 0x4acedd87, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4fc70a0, "napi_complete_done" },
	{ 0x468f559b, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xaff3bb55, "devlink_port_attrs_pci_vf_set" },
	{ 0x3e830375, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x593d034, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa3bd7f8d, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x5f325ad1, "__napi_schedule" },
	{ 0x803fd117, "devlink_port_health_reporter_create" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x23adad98, "pcie_relaxed_ordering_enabled" },
	{ 0xec303877, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6a6d4a1b, "devlink_port_attrs_pci_pf_set" },
	{ 0xdfe892dc, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xcd752614, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f5060d6, "__free_pages" },
	{ 0xe39629af, "_dev_info" },
	{ 0xc8e6f0a7, "skb_vlan_pop" },
	{ 0x512b67, "napi_gro_receive" },
	{ 0x1f96fe14, "netif_device_attach" },
	{ 0xa9e4a14d, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf5b20832, "netdev_pick_tx" },
	{ 0xff65bc23, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf6967919, "xp_raw_get_dma" },
	{ 0x2ba50d1b, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb841d817, "xdp_rxq_info_is_reg" },
	{ 0xa4767fa9, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xd54220f5, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x3c24d6a2, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x47b8db07, "devl_health_reporter_create" },
	{ 0xf525cedb, "flow_block_cb_setup_simple" },
	{ 0xf3ab3f4a, "pci_msix_can_alloc_dyn" },
	{ 0x71174c3a, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xafde5abf, "unregister_netdevice_notifier_dev_net" },
	{ 0x55ceb7c1, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x4494c5cf, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x862fea65, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x405f238d, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3eac25ef, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x631daa3d, "__dma_sync_single_for_cpu" },
	{ 0x4ad044d4, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x73fe84f5, "__dev_get_by_index" },
	{ 0xf74037c5, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6df4a5d4, "devlink_port_unregister" },
	{ 0xc044d3a8, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x55c15649, "_dev_err" },
	{ 0x30f1696d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x587136e, "softnet_data" },
	{ 0x46cb6cc3, "ipv6_stub" },
	{ 0x26c137eb, "simple_open" },
	{ 0x3c9b6bd6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xed757ced, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6019c3c8, "simple_attr_release" },
	{ 0xac5903b, "ptp_clock_register" },
	{ 0x6bd586c1, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x36d7a473, "xsk_tx_peek_desc" },
	{ 0xb0c0c553, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xc854de2f, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0xb5e17ac3, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd58fd08b, "irq_get_irq_data" },
	{ 0x41fb5205, "dev_remove_pack" },
	{ 0x1eb36e4b, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xdcaf6642, "dev_get_by_index" },
	{ 0x266f760, "bpf_trace_run5" },
	{ 0xf5e5a608, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x13c2f81c, "skb_store_bits" },
	{ 0xed21dc42, "devl_port_register_with_ops" },
	{ 0x85eae795, "dev_get_by_index_rcu" },
	{ 0x5371061, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xc89ff43e, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66314adf, "skb_push" },
	{ 0xa678c568, "kmem_cache_free" },
	{ 0x835279d9, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x63fc604, "debugfs_remove" },
	{ 0x93124492, "pci_read_config_word" },
	{ 0x6af1999c, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1e870876, "xsk_clear_rx_need_wakeup" },
	{ 0xc7139290, "seq_putc" },
	{ 0x6db72826, "unregister_netdevice_notifier_net" },
	{ 0xcac38d7b, "auxiliary_device_sysfs_irq_remove" },
	{ 0xcd36adfa, "xsk_uses_need_wakeup" },
	{ 0xd6ac0241, "register_netdev" },
	{ 0xc07ccc62, "unregister_fib_notifier" },
	{ 0x35967009, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xd4781327, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x47780f56, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8ffe75fe, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x8b62db83, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa28906ea, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x9ecf837e, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "03F9B382D42C68B3442414A");
