#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x94acfb98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c29ef7a, "nfs_async_iocounter_wait" },
	{ 0x21621543, "nfs_setattr_update_inode" },
	{ 0x2b34463d, "nfs_sops" },
	{ 0xcb93790a, "init_user_ns" },
	{ 0x733b795, "rpc_restart_call" },
	{ 0x47176b9, "nfs_link" },
	{ 0x9bdba46e, "__kmalloc_cache_noprof" },
	{ 0x5833a7f1, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xee3238e0, "put_nfs_open_context" },
	{ 0x24265f77, "nfs_permission" },
	{ 0x9f5cc7b0, "alloc_pages_noprof" },
	{ 0x9da15080, "nfs_add_or_obtain" },
	{ 0x99f3b247, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x8979c7cc, "nfs_free_client" },
	{ 0xa09db53b, "nfs_close_context" },
	{ 0x8718bebf, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xb08f36c1, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x2f87acea, "kmalloc_caches" },
	{ 0xf1c01fa3, "nfs_symlink" },
	{ 0x6dbdd8f1, "nfs_unlink" },
	{ 0x92105c28, "forget_cached_acl" },
	{ 0x774358fe, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8bdc11a2, "nlmclnt_proc" },
	{ 0x49263385, "nfs_writeback_update_inode" },
	{ 0xe468d3b8, "nfs_alloc_client" },
	{ 0x413ade38, "nfs_dentry_operations" },
	{ 0xb1a2275b, "xdr_write_pages" },
	{ 0x5f18ef68, "nfs_access_zap_cache" },
	{ 0xc258471d, "nfs_wb_all" },
	{ 0xd7d30a2b, "xdr_inline_decode" },
	{ 0x458c49b1, "forget_all_cached_acls" },
	{ 0x712f2e9f, "nfs_submount" },
	{ 0xbda8b348, "__tracepoint_nfs_xdr_status" },
	{ 0x110676a8, "nfs_mknod" },
	{ 0x938dea8e, "nfs_create_server" },
	{ 0x2daa74a, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x14eb7310, "nfs_post_op_update_inode" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x66e06011, "xdr_read_pages" },
	{ 0xee671000, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x5952c86e, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96d65cf5, "nfs_mkdir" },
	{ 0x8cc60782, "nfs_revalidate_inode" },
	{ 0x5db1c4bb, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8ec2b7e9, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf7720b7, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x15e372bc, "const_pcpu_hot" },
	{ 0x789a1990, "nfs_get_client" },
	{ 0x7f5060d6, "__free_pages" },
	{ 0xd751f472, "nfs_file_operations" },
	{ 0x6277aaf4, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xa874be4b, "nfs_put_lock_context" },
	{ 0xf00018f0, "nfs_rename" },
	{ 0xcde7c060, "nfs_lookup" },
	{ 0x400997df, "nfs_sysfs_link_rpc_client" },
	{ 0x3bf1f731, "nfsacl_encode" },
	{ 0xdbbd3c16, "posix_acl_create" },
	{ 0x6ddb146f, "get_nfs_open_context" },
	{ 0x5ffc2525, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x6d8edfa4, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xe0c5e388, "nfs_getattr" },
	{ 0xd68de917, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xeba95d88, "nfs_zap_acl_cache" },
	{ 0xd470c125, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1ee2fda1, "rpc_bind_new_program" },
	{ 0x863b679b, "register_nfs_version" },
	{ 0x8dbb02ba, "nfs_atomic_open_v23" },
	{ 0xd3c70abc, "rpc_call_start" },
	{ 0x67063db, "rpc_call_sync" },
	{ 0x21d88d9d, "rpc_prepare_reply_pages" },
	{ 0x35375e3e, "nfs_fs_type" },
	{ 0x182d0ab5, "nfs_setattr" },
	{ 0x5aae7779, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5d66208b, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xba6f050a, "make_kgid" },
	{ 0x3e77780e, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x17430ee8, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfcee6789, "nfs_rmdir" },
	{ 0xc82f20b5, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "12BE3500CFC85C0BEACCCFC");
