#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xbe14fad2, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x527986fa, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x728b36a6, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x1ff70723, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xa4b768c4, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xd9f4f6dd, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xaf3139ee, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xf8ddfa2d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x1d558914, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xedd10737, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xfb84d778, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xe1d4fcd4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7d29c22c, "gro_cells_init" },
	{ 0xee9c2126, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6501380e, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x30f1696d, "init_net" },
	{ 0x509660c4, "alloc_netdev_mqs" },
	{ 0xd6ac0241, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x8ffe75fe, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x262f1ded, "__pskb_pull_tail" },
	{ 0xa3bba1c7, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x2cf86060, "netdev_state_change" },
	{ 0xf711bdd3, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcf7720b7, "make_kuid" },
	{ 0xc7811d54, "ip6_redirect" },
	{ 0xa1650a8d, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1588817, "ip6_route_output_flags" },
	{ 0xaf86dd, "xfrm_lookup" },
	{ 0x8f374053, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf87c1a4, "skb_scrub_packet" },
	{ 0x428522a6, "skb_realloc_headroom" },
	{ 0x4531ba46, "skb_set_owner_w" },
	{ 0x2807ccdf, "consume_skb" },
	{ 0xbd294fd6, "ipv6_push_frag_opts" },
	{ 0x66314adf, "skb_push" },
	{ 0xb39fe118, "ip6_local_out" },
	{ 0xaab1e728, "dst_cache_get" },
	{ 0x1b48229a, "skb_copy_bits" },
	{ 0x90d44cf1, "dst_cache_set_ip6" },
	{ 0xc156c072, "ipv6_dev_get_saddr" },
	{ 0xa90ffb62, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed3037f4, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa8e2caea, "ipv4_mtu" },
	{ 0xc6aa99b8, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf66d0eba, "iptunnel_handle_offloads" },
	{ 0xcfdc94a6, "icmpv6_ndo_send" },
	{ 0xc2ca78b6, "sk_skb_reason_drop" },
	{ 0x94e2c624, "icmp_ndo_send" },
	{ 0x53ab86ac, "skb_clone" },
	{ 0x3c9b6bd6, "skb_pull" },
	{ 0x35e8e88e, "icmp6_send" },
	{ 0x8325513, "ip_route_output_flow" },
	{ 0x39f3f231, "ip_route_input_noref" },
	{ 0x27728f9c, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfaa91ec7, "gro_cells_receive" },
	{ 0x8693634a, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x43a9248, "__iptunnel_pull_header" },
	{ 0x46c6f19b, "metadata_dst_alloc" },
	{ 0x8d579786, "__xfrm_policy_check" },
	{ 0x3bf8f763, "dev_get_tstats64" },
	{ 0xcd1d1abd, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf13a30a9, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7a96ab1, "ipv6_chk_addr_and_flags" },
	{ 0x85eae795, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x3f541948, "register_pernet_device" },
	{ 0xf08fd025, "xfrm6_tunnel_register" },
	{ 0x643ac2c3, "rtnl_link_register" },
	{ 0x20d78c56, "xfrm6_tunnel_deregister" },
	{ 0x30c563cd, "unregister_pernet_device" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7808c0ff, "unregister_netdevice_queue" },
	{ 0xffe11fbd, "dev_addr_mod" },
	{ 0x62e29358, "rt6_lookup" },
	{ 0x1c0926d7, "dst_release" },
	{ 0x73fe84f5, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x92b4f44e, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5BF1C9B57E9962596A53A7A");
